all repos — dotfiles @ 3d694e06c1164908be8818dcfa852f61b3fd4dca

my *nix dotfiles

delete commit history
icyphox icyph0x@protonmail.com
Sat, 13 Jan 2018 16:15:29 +0530
commit

3d694e06c1164908be8818dcfa852f61b3fd4dca

A .gitignore

@@ -0,0 +1,3 @@

+weechat/.weechat/logs +weechat/.weechat/weechat.log +weechat/.weechat/script/plugins.xml.gz
A LICENSE

@@ -0,0 +1,24 @@

+This is free and unencumbered software released into the public domain. + +Anyone is free to copy, modify, publish, use, compile, sell, or +distribute this software, either in source code form or as a compiled +binary, for any purpose, commercial or non-commercial, and by any +means. + +In jurisdictions that recognize copyright laws, the author or authors +of this software dedicate any and all copyright interest in the +software to the public domain. We make this dedication for the benefit +of the public at large and to the detriment of our heirs and +successors. We intend this dedication to be an overt act of +relinquishment in perpetuity of all present and future rights to this +software under copyright law. + +THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, +EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF +MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. +IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR +OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, +ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR +OTHER DEALINGS IN THE SOFTWARE. + +For more information, please refer to <http://unlicense.org>
A README.md

@@ -0,0 +1,46 @@

+# dotfiles + +This repo contains the dots from my latest install of Arch Linux. Deploy with [GNU/Stow](https://www.gnu.org/software/stow/). +Most of my walls are sourced from [Unsplash](https://unsplash.com), and the colorscheme is all done by hand. + +## scrot + +### i3 +![i3](https://track6.mixtape.moe/rvdyro.png) + +### xfwm +![xfwm](https://0x0.st/sXau.png) + +## info + +- wm: `i3` (with gaps) and `xfwm` + +- status bar: `polybar` + +- text editor: `vim` + +- terminal: `urxvt` + +- shell: `zsh` + +- launcher: `rofi` + +- notification daemon: `dunst` + +- compositor: `compton` + +- music: `spotify` + +## installation + +install `stow` using your package manager + +clone this repo +`git clone https://github.com/icyphox/dotfiles icydots` + +switch to the cloned directory +`cd icydots` + +use `stow -D <name of utility>` to _unstow_ the dotfiles into your `home` directory. + +
A compton/.config/compton.conf

@@ -0,0 +1,229 @@

+# Thank you code_nomad: http://9m.no/ꪯ鵞 + +################################# +# +# Backend +# +################################# + +# Backend to use: "xrender" or "glx". +# GLX backend is typically much faster but depends on a sane driver. +backend = "glx"; + +################################# +# +# GLX backend +# +################################# + +glx-no-stencil = true; + +# GLX backend: Copy unmodified regions from front buffer instead of redrawing them all. +# My tests with nvidia-drivers show a 10% decrease in performance when the whole screen is modified, +# but a 20% increase when only 1/4 is. +# My tests on nouveau show terrible slowdown. +# Useful with --glx-swap-method, as well. +glx-copy-from-front = false; + +# GLX backend: Use MESA_copy_sub_buffer to do partial screen update. +# My tests on nouveau shows a 200% performance boost when only 1/4 of the screen is updated. +# May break VSync and is not available on some drivers. +# Overrides --glx-copy-from-front. +# glx-use-copysubbuffermesa = true; + +# GLX backend: Avoid rebinding pixmap on window damage. +# Probably could improve performance on rapid window content changes, but is known to break things on some drivers (LLVMpipe). +# Recommended if it works. +# glx-no-rebind-pixmap = true; + + +# GLX backend: GLX buffer swap method we assume. +# Could be undefined (0), copy (1), exchange (2), 3-6, or buffer-age (-1). +# undefined is the slowest and the safest, and the default value. +# copy is fastest, but may fail on some drivers, +# 2-6 are gradually slower but safer (6 is still faster than 0). +# Usually, double buffer means 2, triple buffer means 3. +# buffer-age means auto-detect using GLX_EXT_buffer_age, supported by some drivers. +# Useless with --glx-use-copysubbuffermesa. +# Partially breaks --resize-damage. +# Defaults to undefined. +glx-swap-method = "undefined"; + +################################# +# +# Shadows +# +################################# + +# Enabled client-side shadows on windows. +shadow = false; +# Don't draw shadows on DND windows. +no-dnd-shadow = true; +# Avoid drawing shadows on dock/panel windows. +no-dock-shadow = true; +# Zero the part of the shadow's mask behind the window. Fix some weirdness with ARGB windows. +shadow-radius = 4; +shadow-opacity = 0.6; +shadow-offset-x = -6; +shadow-offset-y = -2;clear-shadow = true; +# The blur radius for shadows. (default 12) + +# Set if you want different colour shadows +# shadow-red = 0.0; +# shadow-green = 0.0; +# shadow-blue = 0.0; + +# The shadow exclude options are helpful if you have shadows enabled. Due to the way compton draws its shadows, certain applications will have visual glitches +# (most applications are fine, only apps that do weird things with xshapes or argb are affected). +# This list includes all the affected apps I found in my testing. The "! name~=''" part excludes shadows on any "Unknown" windows, this prevents a visual glitch with the XFWM alt tab switcher. +shadow-exclude = [ + "! name~=''", + "name = 'Notification'", + "name = 'Plank'", + "name = 'Docky'", + "name = 'Kupfer'", + "name = 'xfce4-notifyd'", + "name *= 'VLC'", + "name *= 'compton'", + "name *= 'Chromium'", + "name *= 'Chrome'", + "class_g = 'Conky'", + "class_g = 'Kupfer'", + "class_g = 'Synapse'", + "class_g ?= 'Notify-osd'", + "class_g ?= 'Cairo-dock'", + "class_g ?= 'Xfce4-notifyd'", + "class_g ?= 'Xfce4-power-manager'", + "_GTK_FRAME_EXTENTS@:c" +]; +# Avoid drawing shadow on all shaped windows (see also: --detect-rounded-corners) +shadow-ignore-shaped = false; + +################################# +# +# Opacity +# +################################# + +menu-opacity = 1; +inactive-opacity = 1; +active-opacity = 1; +frame-opacity = 1; +inactive-opacity-override = false; +alpha-step = 0.06; + +# Dim inactive windows. (0.0 - 1.0) +#inactive-dim = 0.2; +# Do not let dimness adjust based on window opacity. +# inactive-dim-fixed = true; +# Blur background of transparent windows. Bad performance with X Render backend. GLX backend is preferred. + blur-background = true; +# Blur background of opaque windows with transparent frames as well. +# blur-background-frame = true; +# Do not let blur radius adjust based on window opacity. +blur-background-fixed = false; +blur-background-exclude = [ + "window_type = 'dock'", + "window_type = 'desktop'" +]; + +################################# +# +# Fading +# +################################# + +# Fade windows during opacity changes. +fading = true; +# The time between steps in a fade in milliseconds. (default 10). +fade-delta = 2; +# Opacity change between steps while fading in. (default 0.028). +fade-in-step = 0.03; +# Opacity change between steps while fading out. (default 0.03). +fade-out-step = 0.03; +# Fade windows in/out when opening/closing +# no-fading-openclose = true; + +# Specify a list of conditions of windows that should not be faded. +fade-exclude = [ ]; + +################################# +# +# Other +# +################################# + +# Try to detect WM windows and mark them as active. +mark-wmwin-focused = true; +# Mark all non-WM but override-redirect windows active (e.g. menus). +mark-ovredir-focused = true; +# Use EWMH _NET_WM_ACTIVE_WINDOW to determine which window is focused instead of using FocusIn/Out events. +# Usually more reliable but depends on a EWMH-compliant WM. +use-ewmh-active-win = true; +# Detect rounded corners and treat them as rectangular when --shadow-ignore-shaped is on. +detect-rounded-corners = true; + +# Detect _NET_WM_OPACITY on client windows, useful for window managers not passing _NET_WM_OPACITY of client windows to frame windows. +# This prevents opacity being ignored for some apps. +# For example without this enabled my xfce4-notifyd is 100% opacity no matter what. +detect-client-opacity = true; + +# Specify refresh rate of the screen. +# If not specified or 0, compton will try detecting this with X RandR extension. +refresh-rate = 0; + +# Set VSync method. VSync methods currently available: +# none: No VSync +# drm: VSync with DRM_IOCTL_WAIT_VBLANK. May only work on some drivers. +# opengl: Try to VSync with SGI_video_sync OpenGL extension. Only work on some drivers. +# opengl-oml: Try to VSync with OML_sync_control OpenGL extension. Only work on some drivers. +# opengl-swc: Try to VSync with SGI_swap_control OpenGL extension. Only work on some drivers. Works only with GLX backend. Known to be most effective on many drivers. Does not actually control paint timing, only buffer swap is affected, so it doesn’t have the effect of --sw-opti unlike other methods. Experimental. +# opengl-mswc: Try to VSync with MESA_swap_control OpenGL extension. Basically the same as opengl-swc above, except the extension we use. +# (Note some VSync methods may not be enabled at compile time.) +vsync = "opengl-swc"; + +# Enable DBE painting mode, intended to use with VSync to (hopefully) eliminate tearing. +# Reported to have no effect, though. +dbe = false; +# Painting on X Composite overlay window. Recommended. +paint-on-overlay = true; + +# Limit compton to repaint at most once every 1 / refresh_rate second to boost performance. +# This should not be used with --vsync drm/opengl/opengl-oml as they essentially does --sw-opti's job already, +# unless you wish to specify a lower refresh rate than the actual value. +sw-opti = true; + +# Unredirect all windows if a full-screen opaque window is detected, to maximize performance for full-screen windows, like games. +# Known to cause flickering when redirecting/unredirecting windows. +# paint-on-overlay may make the flickering less obvious. +unredir-if-possible = true; + +# Specify a list of conditions of windows that should always be considered focused. +focus-exclude = [ ]; + +# Use WM_TRANSIENT_FOR to group windows, and consider windows in the same group focused at the same time. +detect-transient = true; +# Use WM_CLIENT_LEADER to group windows, and consider windows in the same group focused at the same time. +# WM_TRANSIENT_FOR has higher priority if --detect-transient is enabled, too. +detect-client-leader = true; + +################################# +# +# Window type settings +# +################################# + +wintypes: +{ + tooltip = + { + # fade: Fade the particular type of windows. + fade = true; + # shadow: Give those windows shadow + shadow = false; + # opacity: Default opacity for the type of windows. + opacity = 0.85; + # focus: Whether to always consider windows of this type focused. + focus = true; + }; +};
A compton/README.md

@@ -0,0 +1,2 @@

+## compton +compositor for X, though I use xfwm's own compositor now
A dunst/.config/dunst/dunstrc

@@ -0,0 +1,257 @@

+[global] + font = scientifica 8 + + # Allow a small subset of html markup in notifications and formats: + # <b>bold</b> + # <i>italic</i> + # <s>strikethrough</s> + # <u>underline</u> + # + # For a complete reference see + # <http://developer.gnome.org/pango/stable/PangoMarkupFormat.html>. + # If markup is not allowed, those tags will be stripped out of the + # message. + allow_markup = yes + + # Treat incoming notifications as plain text + plain_text = no + + # The format of the message. Possible variables are: + # %a appname + # %s summary + # %b body + # %i iconname (including its path) + # %I iconname (without its path) + # %p progress value if set ([ 0%] to [100%]) or nothing + # Markup is allowed + format = "%s\n%b" + + # Sort messages by urgency. + sort = yes + + # Show how many messages are currently hidden (because of geometry). + indicate_hidden = yes + + # Alignment of message text. + # Possible values are "left", "center" and "right". + alignment = left + + # The frequency with which text that is longer than the notification + # window allows bounces back and forth. + # This option conflicts with "word_wrap". + # Set to 0 to disable. + bounce_freq = 0 + + # Show age of message if message is older than show_age_threshold + # seconds. + # Set to -1 to disable. + show_age_threshold = 60 + + # Split notifications into multiple lines if they don't fit into + # geometry. + word_wrap = yes + + # Ignore newlines '\n' in notifications. + ignore_newline = no + + + # The geometry of the window: + # [{width}]x{height}[+/-{x}+/-{y}] + # The geometry of the message window. + # The height is measured in number of notifications everything else + # in pixels. If the width is omitted but the height is given + # ("-geometry x2"), the message window expands over the whole screen + # (dmenu-like). If width is 0, the window expands to the longest + # message displayed. A positive x is measured from the left, a + # negative from the right side of the screen. Y is measured from + # the top and down respectively. + # The width can be negative. In this case the actual width is the + # screen width minus the width defined in within the geometry option. + geometry = "300x5-30+24" + + # Shrink window if it's smaller than the width. Will be ignored if + # width is 0. + shrink = no + + # The transparency of the window. Range: [0; 100]. + # This option will only work if a compositing window manager is + # present (e.g. xcompmgr, compiz, etc.). + transparency = 0 + + transparency = 40 + + # Don't remove messages, if the user is idle (no mouse or keyboard input) + # for longer than idle_threshold seconds. + # Set to 0 to disable. + idle_threshold = 120 + + # Which monitor should the notifications be displayed on. + monitor = 0 + + # Display notification on focused monitor. Possible modes are: + # mouse: follow mouse pointer + # keyboard: follow window with keyboard focus + # none: don't follow anything + # + # "keyboard" needs a window manager that exports the + + # _NET_ACTIVE_WINDOW property. + # This should be the case for almost all modern window managers. + # + # If this option is set to mouse or keyboard, the monitor option + # will be ignored. + follow = mouse + + # Should a notification popped up from history be sticky or timeout + # as if it would normally do. + sticky_history = yes + + # Maximum amount of notifications kept in history + history_length = 20 + + # Display indicators for URLs (U) and actions (A). + show_indicators = yes + + # The spacing between lines. If the height is smaller than the + # font height, it will get raised to the font height. + line_height = 0 + + # The height of the entire notification. If the height is smaller + # than the font height and padding combined, it will be raised + # to the font height and padding. + notification_height = 0 + + # Draw a line of "separator_height" pixel height between two + # notifications. + # Set to 0 to disable. + separator_height = 2 + + # Padding between text and separator. + padding = 8 + + # Horizontal padding. + horizontal_padding = 8 + + # Define a color for the separator. + # possible values are: + # * auto: dunst tries to find a color fitting to the background; + # * foreground: use the same color as the foreground; + # * frame: use the same color as the frame; + # * anything else will be interpreted as a X color. + separator_color = frame + + # Print a notification on startup. + # This is mainly for error detection, since dbus (re-)starts dunst + # automatically after a crash. + startup_notification = false + + # dmenu path. + dmenu = /usr/bin/dmenu -p dunst: + + # Browser for opening urls in context menu. + browser = /usr/bin/firefox -new-tab + + # Align icons left/right/off + icon_position = off + + + # Paths to default icons. + icon_folders = /usr/share/icons/gnome/16x16/status/:/usr/share/icons/gnome/16x16/devices/ + +[frame] + width = 1 + width = 2 + color = "#b8bcbf" + +[shortcuts] + + # Shortcuts are specified as [modifier+][modifier+]...key + # Available modifiers are "ctrl", "mod1" (the alt-key), "mod2", + # "mod3" and "mod4" (windows-key). + # Xev might be helpful to find names for keys. + + # Close notification. + close = ctrl+space + + # Close all notifications. + close_all = alt+shift+space + + # Redisplay last message(s). + # On the US keyboard layout "grave" is normally above TAB and left + # of "1". + history = ctrl+grave + + # Context menu. + context = ctrl+shift+period + +[urgency_low] + # IMPORTANT: colors have to be defined in quotation marks. + # Otherwise the "#" and following would be interpreted as a comment. + background = "#b8bcbf" + foreground = "#1d252b" + timeout = 5 + +[urgency_normal] + background = "#b8bcbf" + foreground = "#1d252b" + timeout = 5 + +[urgency_critical] + background = "#00ffff" + foreground = "#900000" + timeout = 5 + + +# Every section that isn't one of the above is interpreted as a rules to +# override settings for certain messages. +# Messages can be matched by "appname", "summary", "body", "icon", "category", +# "msg_urgency" and you can override the "timeout", "urgency", "foreground", +# "background", "new_icon" and "format". +# Shell-like globbing will get expanded. +# +# SCRIPTING +# You can specify a script that gets run when the rule matches by +# setting the "script" option. +# The script will be called as follows: +# script appname summary body icon urgency +# where urgency can be "LOW", "NORMAL" or "CRITICAL". +# +# NOTE: if you don't want a notification to be displayed, set the format +# to "". +# NOTE: It might be helpful to run dunst -print in a terminal in order +# to find fitting options for rules. + +#[espeak] +# summary = "*" +# script = dunst_espeak.sh + +#[script-test] +# summary = "*script*" +# script = dunst_test.sh + +#[ignore] +# # This notification will not be displayed +# summary = "foobar" +# format = "" + +#[signed_on] +# appname = Pidgin +# summary = "*signed on*" +# urgency = low +# +#[signed_off] +# appname = Pidgin +# summary = *signed off* +# urgency = low +# +#[says] +# appname = Pidgin +# summary = *says* +# urgency = critical +# +#[twitter] +# appname = Pidgin +# summary = *twitter.com* +# urgency = normal +# +# vim: ft=cfg
A dunst/README.md

@@ -0,0 +1,2 @@

+## dunst +a simple notification daemon
A gitconfig/.gitconfig

@@ -0,0 +1,6 @@

+[user] + name = icyphox + email = icyph0x@protonmail.com + signingkey = 8A93F96F78C5D4C4 +[commit] + gpgsign = true
A gitconfig/README.md

@@ -0,0 +1,2 @@

+## git +my personal configurations for git
A gtk/.config/oomox/colors/base16-paraiso

@@ -0,0 +1,39 @@

+ACCENT_BG=a39e9b +BG=2f1e2e +BTN_BG=4f424c +BTN_FG=ffffff +CARET1_FG=fff +CARET2_FG=fff +CARET_SIZE=0.04 +FG=a39e9b +GRADIENT=0.0 +GTK2_HIDPI=False +GTK3_GENERATE_DARK=False +HDR_BTN_BG=303940 +HDR_BTN_FG=b8bcbf +ICONS_ARCHDROID=a39e9b +ICONS_DARK=a00400 +ICONS_LIGHT=f0544c +ICONS_LIGHT_FOLDER=ff645c +ICONS_MEDIUM=b91d15 +ICONS_STYLE=archdroid +MATERIA_STYLE_COMPACT=True +MENU_BG=e7e9db +MENU_FG=b8bcbf +NAME=numix +ROUNDNESS=4 +SEL_BG=4f424c +SEL_FG=b8bcbf +SPACING=2 +TERMINAL_ACCENT_COLOR=4f424c +TERMINAL_BACKGROUND=2f1e2e +TERMINAL_BASE_TEMPLATE=monovedek +TERMINAL_FOREGROUND=a39e9b +TERMINAL_THEME_AUTO_BGFG=True +TERMINAL_THEME_MODE=auto +THEME_STYLE=materia +TXT_BG=2f1e2e +TXT_FG=a39e9b +UNITY_DEFAULT_LAUNCHER_STYLE=False +WM_BORDER_FOCUS=000000 +WM_BORDER_UNFOCUS=000
A gtk/.config/oomox/colors/seagrey

@@ -0,0 +1,30 @@

+BG=1d252b +BTN_BG=303940 +BTN_FG=ffffff +CARET1_FG=fff +CARET2_FG=fff +CARET_SIZE=0.04 +FG=b8bcbf +GRADIENT=0.0 +GTK2_HIDPI=False +GTK3_GENERATE_DARK=False +HDR_BTN_BG=303940 +HDR_BTN_FG=b8bcbf +ICONS_ARCHDROID=6f93bf +ICONS_DARK=a00400 +ICONS_LIGHT=f0544c +ICONS_LIGHT_FOLDER=ff645c +ICONS_MEDIUM=b91d15 +ICONS_STYLE=archdroid +MENU_BG=1d252b +MENU_FG=b8bcbf +NAME=numix +ROUNDNESS=4 +SEL_BG=303940 +SEL_FG=b8bcbf +SPACING=2 +TXT_BG=1d252b +TXT_FG=b8bcbf +UNITY_DEFAULT_LAUNCHER_STYLE=False +WM_BORDER_FOCUS=000000 +WM_BORDER_UNFOCUS=000
A gtk/README.md

@@ -0,0 +1,2 @@

+## gtk themes +generated using oomox
A i3/.i3/config

@@ -0,0 +1,198 @@

+# _ _____ _____ +# (_)__ / _________ ____ / __(_)___ _ +# / / /_ < / ___/ __ \/ __ \/ /_/ / __ `/ +# / /___/ / / /__/ /_/ / / / / __/ / /_/ / +#/_//____/ \___/\____/_/ /_/_/ /_/\__, / +# /____/ + + + +set $mod Mod4 + +# set fonts in funky way +font pango: bitbuntufull 9 +for_window [class=".*"] title_format "<span font='bitbuntufull 8'> > %title</span>" +# Use Mouse+$mod to drag floating windows to their wanted position +floating_modifier $mod + +# start a terminal +bindsym $mod+Return exec urxvtc +#for_window [class="URxvt"] floating enable + +# kill focused window +bindsym $mod+Shift+q kill + +# lock the screen +bindsym $mod+Ctrl+l exec ~/scripts/lock.sh + +# start rofi (an alternative to dmenu) +bindsym $mod+d exec "rofi -show run" + +# disable title bar +#new_window pixel 2 +new_window normal 0 + +# change focus +bindsym $mod+h focus left +bindsym $mod+j focus down +bindsym $mod+k focus up +bindsym $mod+l focus right + +# alternatively, you can use the cursor keys: +bindsym $mod+Left focus left +bindsym $mod+Down focus down +bindsym $mod+Up focus up +bindsym $mod+Right focus right + +# move focused window +bindsym $mod+Shift+h move left +bindsym $mod+Shift+j move down +bindsym $mod+Shift+k move up +bindsym $mod+Shift+l move right + +# alternatively, you can use the cursor keys: +bindsym $mod+Shift+Left move left +bindsym $mod+Shift+Down move down +bindsym $mod+Shift+Up move up +bindsym $mod+Shift+Right move right + +# split in horizontal orientation +bindsym $mod+g split h + +# split in vertical orientation +bindsym $mod+v split v + +# enter fullscreen mode for the focused container +bindsym $mod+f fullscreen toggle + +# change container layout (stacked, tabbed, toggle split) +bindsym $mod+s layout stacking +bindsym $mod+w layout tabbed +bindsym $mod+e layout toggle split + +# toggle tiling / floating +bindsym $mod+Shift+space floating toggle + +# change focus between tiling / floating windows +bindsym $mod+space focus mode_toggle + +# focus the parent container +bindsym $mod+a focus parent + +# focus the child container +bindsym $mod+x focus child + +# Name the workspaces +set $tag1 1:"" +set $tag2 2:"" +set $tag3 3:"" +set $tag4 4:"" +set $tag5 5:"" + + +# switch to workspace +bindsym $mod+1 workspace $tag1 +bindsym $mod+2 workspace $tag2 +bindsym $mod+3 workspace $tag3 +bindsym $mod+4 workspace $tag4 +bindsym $mod+5 workspace $tag5 + + +# move focused container to workspace +bindsym $mod+Shift+1 move container to workspace $tag1 +bindsym $mod+Shift+2 move container to workspace $tag2 +bindsym $mod+Shift+3 move container to workspace $tag3 +bindsym $mod+Shift+4 move container to workspace $tag4 +bindsym $mod+Shift+5 move container to workspace $tag5 + + +# reload the configuration file +bindsym $mod+Shift+c reload +# restart i3 inplace (preserves your layout/session, can be used to upgrade i3) +bindsym $mod+Shift+r restart + +# resize window (you can also use the mouse for that) +mode "resize" { + # These bindings trigger as soon as you enter the resize mode + + # Pressing left will shrink the window’s width. + # Pressing right will grow the window’s width. + # Pressing up will shrink the window’s height. + # Pressing down will grow the window’s height. + bindsym j resize shrink width 10 px or 10 ppt + bindsym k resize grow height 10 px or 10 ppt + bindsym l resize shrink height 10 px or 10 ppt + bindsym semicolon resize grow width 10 px or 10 ppt + + # same bindings, but for the arrow keys + bindsym Left resize shrink width 10 px or 10 ppt + bindsym Down resize grow height 10 px or 10 ppt + bindsym Up resize shrink height 10 px or 10 ppt + bindsym Right resize grow width 10 px or 10 ppt + + # back to normal: Enter or Escape + bindsym Return mode "default" + bindsym Escape mode "default" +} + +# assign windows to workspaces + +assign [class="Steam"] $tag4 +assign [class="Battle.net.exe"] $tag5 +assign [class="inox"] $tag1 +assign [class="spotify"] $tag3 + +# selectively enable floating + +for_window [class="Steam"] floating enable +for_window [class="Keybase"] floating enable +for_window [class="Battle.net.exe"] floating enable + +bindsym $mod+r mode "resize" + +## colors + +set $base00 #2f1e2e +set $base01 #41323f +set $base02 #4f424c +set $base03 #776e71 +set $base04 #8d8687 +set $base05 #a39e9b +set $base06 #b9b6b0 +set $base07 #e7e9db +set $base08 #ef6155 +set $base09 #f99b15 +set $base0A #fec418 +set $base0B #48b685 +set $base0C #5bc4bf +set $base0D #06b6ef +set $base0E #815ba4 +set $base0F #e96ba8 + +# Basic color configuration using the Base16 variables for windows and borders. +# Property Name Border BG Text Indicator Child Border +client.focused $base05 $base05 $base00 $base05 $base05 +client.focused_inactive $base01 $base01 $base05 $base03 $base01 +client.unfocused $base00 $base00 $base05 $base03 $base01 +client.urgent $base08 $base08 $base00 $base08 $base08 +client.placeholder $base00 $base00 $base05 $base00 $base00 +client.background $base07 +smart_gaps on +smart_borders on + + +# executions +exec xrdb -load ~/.Xresources +exec compton & +exec xautolock -time 7 -locker lock & +exec killall -q xfce4-notifyd +exec_always --no-startup-id ~/scripts/bar.sh +exec xrdb .Xresources +exec feh --bg-fill ~/.wallpaper/wall.jpg +exec xautolock -time 5 -locker ~/scripts/lock.sh +exec urxvtd & +exec xset -b + +# cycle workspaces +bindsym $mod+Tab workspace back_and_forth +bindsym $mod+q workspace next
A i3/README.md

@@ -0,0 +1,2 @@

+## i3 +i3 window manager, though I use xfwm now
A inputrc/.inputrc

@@ -0,0 +1,37 @@

+# do not bell on tab-completion +#set bell-style none + +set meta-flag on +set input-meta on +set convert-meta off +set output-meta on + +$if mode=emacs + +# for linux console and RH/Debian xterm +"\e[1~": beginning-of-line +"\e[4~": end-of-line +"\e[5~": beginning-of-history +"\e[6~": end-of-history +"\e[7~": beginning-of-line +"\e[3~": delete-char +"\e[2~": quoted-insert +"\e[5C": forward-word +"\e[5D": backward-word +"\e\e[C": forward-word +"\e\e[D": backward-word +"\e[1;5C": forward-word +"\e[1;5D": backward-word + +# for rxvt #added +"\e[1~": beginning-of-line +"\e[4~": end-of-line + +# for non RH/Debian xterm, can't hurt for RH/DEbian xterm +"\eOH": beginning-of-line +"\eOF": end-of-line + +# for freebsd console +"\e[H": beginning-of-line +"\e[F": end-of-line +$endif
A inputrc/README.md

@@ -0,0 +1,2 @@

+## inputrc +controls the escape sequences sent when keys are pressed - I ue this to fix HOME and END keys with urxvt/zsh
A micro/.config/micro/settings.json

@@ -0,0 +1,35 @@

+{ + "autoclose": true, + "autoindent": true, + "autosave": false, + "colorcolumn": 0, + "colorscheme": "simple", + "cursorline": true, + "eofnewline": false, + "ftoptions": true, + "ignorecase": false, + "indentchar": " ", + "infobar": true, + "keepautoindent": false, + "linter": true, + "pluginchannels": [ + "https://raw.githubusercontent.com/micro-editor/plugin-channel/master/channel.json" + ], + "pluginrepos": [], + "rmtrailingws": false, + "ruler": true, + "savecursor": false, + "saveundo": false, + "scrollmargin": 3, + "scrollspeed": 2, + "softwrap": false, + "splitBottom": true, + "splitRight": true, + "statusline": true, + "syntax": true, + "tabmovement": false, + "tabsize": 4, + "tabstospaces": false, + "termtitle": false, + "useprimary": true +}
A micro/README.md

@@ -0,0 +1,2 @@

+## micro +a simple text editor, back when I couldn't use vim
A polybar/.config/polybar/i3_bar

@@ -0,0 +1,202 @@

+; __ __ +; ____ ____ / /_ __/ /_ ____ ______ +; / __ \/ __ \/ / / / / __ \/ __ `/ ___/ +; / /_/ / /_/ / / /_/ / /_/ / /_/ / / +; / .___/\____/_/\__, /_.___/\__,_/_/ +;/_/ /____/ +; +; + +[global/wm] +;margin-top = +;margin-bottom = 2 + +[colors] +fg = ${xrdb:color7} +bg = ${xrdb:color0} + +[bar/top] +width = 100% +height = 24 +offset-x = 0% +offset-y= 0% +;fixed-center = +override-redirect = false + + +background = ${colors.bg} +foreground = ${colors.fg} + +font-0 = bitbuntufull:size=8:;0 +font-1 = FontAwesome:size=10:;2 +;font-2 = MaterialIcons-Regular:size=11:;2 +font-2 = Wuncon Siji:pixelsize=8:;1 + +modules-left = date time ssid volume battery +modules-center = xwindow +modules-right = spotipy i3 + +tray-position = right +tray-padding = 2 +tray-background = ${colors.bg} +tray-transparent = false +tray-detached = false + +underline-size = 3 + +spacing = 1 +padding-left = 0 +padding-right = 0 +module-margin-left = 2 +module-margin-right = 2 + +[module/volume] +type = internal/volume + +format-volume = <ramp-volume><label-volume> +module-margin-right = 1 +ramp-volume-0 =  +ramp-volume-1 =  +ramp-volume-2 =  + +format-volume-foreground = ${colors.fg} +format-volume-background = ${colors.bg} + +label-muted = muted + + +[module/xwindow] +type = internal/xwindow +label = %title:0:30:...% +module-margin-left = 2 +format-padding = 2 +format-background = ${colors.bg} + +[module/i3] +type = internal/i3 +strip-wsnumbers = true +enable-click = false +index-sort = true +format = <label-state> + +label-focused =  +label-focused-foreground = ${colors.fg} +label-focused-background = ${colors.bg} +label-focused-padding = 1 + +label-unfocused =  +label-unfocused-foreground = ${colors.fg} +label-unfocused-background = ${colors.bg} +label-unfocused-padding = 1 + +label-urgent =  +label-urgent-foreground = #EC5f67 +label-urgent-background = ${colors.bg} +label-urgent-padding = 1 + + +[module/date] +type = internal/date +interval = 1 +date = " %A, %d %B + +[module/time] +type = internal/date +interval = 1 +date = " %I:%M" +;format = %date% +;format-padding = 1 +;format-background = #73ecec +;format-foreground = #075859 + +[module/battery] +type = internal/battery +full-at = 100 +battery = BAT1 +adapter = ACAD +poll-interval = 5 + +format-charging = <animation-charging><label-charging> +format-discharging = <ramp-capacity><label-discharging> +label-charging = %percentage%% +label-charging-foreground = ${colors.fg} +label-discharging = %percentage%% +label-discharging-foreground = ${colors.fg} +label-full =  full! +ramp-capacity-foreground = ${colors.fg} +ramp-capacity-0 =  +ramp-capacity-1 =  +ramp-capacity-2 =  +ramp-capacity-3 =  +ramp-capacity-4 =  +bar-capacity-width = 10 +animation-charging-0 =  +animation-charging-1 =  +animation-charging-2 =  +animation-charging-3 =  +animation-charging-4 =  +animation-charging-foreground = ${colors.fg} +animation-charging-framerate = 750 + +[module/powermenu] +type = custom/menu + +label-open =  power +label-open-foreground = #900000 +label-open-background = ${colors.bg} +label-close =  +label-close-foreground = ${colors.fg} +label-close-background = ${colors.bg} +label-separator =  +label-separator-foreground = #666666 +label-separator-background = ${colors.bg} + +menu-0-0 = +menu-0-0-exec = menu-open-1 +menu-0-1 = +menu-0-1-exec = menu-open-2 +menu-0-2 = +menu-0-2-exec = menu-open-3 + +menu-1-0 = +menu-1-0-exec = menu-open-0 +menu-1-1 = +menu-1-1-exec = systemctl reboot + +menu-2-0 = +menu-2-0-exec = systemctl poweroff +menu-2-1 = +menu-2-1-exec = menu-open-0 + +menu-3-0 = +menu-3-0-exec = i3-msg exit +menu-3-1 = +menu-3-1-exec = menu-open-0 + +[module/pkg] +type = custom/script +interval = 1200 +format = <label> +;format-underline = #dc322f +label = "%output:0:30%" +exec = ~/scripts/spoti.py +exec-if = "ping -q -w 2 -c 1 176.34.135.167 > /dev/null" + +[module/spotipy] +type = custom/script +exec = ~/scripts/spoti.py +exec-if = pgrep spotify > /dev/null +interval = 0.01 +click-left = playerctl -p spotify play-pause + +[module/ssid] +type = custom/script +label =  +format = <label><exec> +exec = echo  && iwgetid -r +exec-if = "ping -q -w 2 -c 1 176.34.135.167 > /dev/null" +interval = 0.01 +click-left = nm-applet +click-right = nm-connection-editor + +; vim:ft=dosini
A polybar/.config/polybar/xfwm_bar

@@ -0,0 +1,150 @@

+; __ __ +; ____ ____ / /_ __/ /_ ____ ______ +; / __ \/ __ \/ / / / / __ \/ __ `/ ___/ +; / /_/ / /_/ / / /_/ / /_/ / /_/ / / +; / .___/\____/_/\__, /_.___/\__,_/_/ +;/_/ /____/ +; +; + +[global/wm] +;margin-top = +;margin-bottom = 2 + +[colors] +fg = ${xrdb:color7} +bg = ${xrdb:color0} + +[bar/top] +width = 100% +height = 24 +offset-x = 0% +offset-y= 0% +fixed-center = true +override-redirect = false + + +background = ${colors.bg} +foreground = ${colors.fg} + +font-0 = scientifica:pixelsize=8:;0 +font-1 = Wuncon Siji:size=8:;0 + +modules-left = date time volume battery +modules-center = xwindow +modules-right = ewmh + +tray-position = right +tray-padding = 0 +tray-background = ${colors.bg} +tray-transparent = false +tray-detached = false2 + +underline-size = 3 + +spacing = 1 +padding-left = 0 +padding-right = 0 +module-margin-left = 2 +module-margin-right = 2 + +[module/volume] +type = internal/volume + +format-volume = <ramp-volume><label-volume> +module-margin-right = 1 +ramp-volume-0 =  +ramp-volume-1 =  +ramp-volume-2 =  + +format-volume-background = ${colors.bg} +ramp-volume-foreground = ${xrdb:color6} + +label-muted = - muted + + +[module/xwindow] +type = internal/xwindow +label = %title:0:30:...% +format-prefix = " " +format-prefix-foreground = ${xrdb:color6} +module-margin-left = 2 +format-padding = 2 +format-background = ${colors.bg} + +[module/ewmh] +type = internal/xworkspaces +pin-workspaces = true +enable-scroll = true + +format = <label-state> + +label-active =  +label-active-foreground = ${xrdb:color6} +label-active-background = ${colors.bg} +;label-active-padding = 1 + +label-empty =  +label-empty-foreground = ${colors.fg} +label-empty-background = ${colors.bg} +;label-empty-padding = 1 + +label-urgent =  +label-urgent-foreground = #EC5f67 +label-urgent-background = ${colors.bg} +;label-urgent-padding = 1 + + +[module/date] +type = internal/date +interval = 1 +date = " %A, %d %B +format-prefix = "" +format-prefix-foreground = ${xrdb:color6} + +[module/time] +type = internal/date +interval = 1 +date = " %I:%M" +format-prefix = "" +format-prefix-foreground = ${xrdb:color6} + +[module/battery] +type = internal/battery +full-at = 100 +battery = BAT1 +adapter = ACAD +poll-interval = 5 + +format-charging = <animation-charging><label-charging> +format-discharging = <ramp-capacity><label-discharging> +label-charging = %percentage%% +label-charging-foreground = ${colors.fg} +label-discharging = %percentage%% +label-discharging-foreground = ${colors.fg} +label-full =  full! +ramp-capacity-foreground = ${xrdb:color6} +ramp-capacity-0 =  +ramp-capacity-1 =  +ramp-capacity-2 =  +ramp-capacity-3 =  +ramp-capacity-4 =  +bar-capacity-width = 10 +animation-charging-0 =  +animation-charging-1 =  +animation-charging-2 =  +animation-charging-3 =  +animation-charging-4 =  +animation-charging-foreground = ${xrdb:color6} +animation-charging-framerate = 750 + +[module/spotipy] +type = custom/script +exec = ~/scripts/spoti.py +exec-if = pgrep spotify > /dev/null +interval = 0.01 +click-left = playerctl -p spotify play-pause + + +; vim:ft=dosini +
A polybar/README.md

@@ -0,0 +1,2 @@

+## polybar +for xfwm and i3
A scripts/README.md

@@ -0,0 +1,2 @@

+## scripts +either written by me or stolen from elsewhere
A scripts/scripts/bar.sh

@@ -0,0 +1,6 @@

+#!/bin/bash +killall -q polybar + +while pgrep -x polybar >/dev/null; do sleep 1; done + +polybar --config=/home/icyphox/.config/polybar/xfwm_bar top
A scripts/scripts/colors2.sh

@@ -0,0 +1,79 @@

+#!/bin/bash + +useage() { + printf "\n\e[1;4mAscii Escape Code Helper Utility\e[m\n\n" + printf " \e[1mUseage:\e[m colors.sh [-|-b|-f|-bq|-fq|-?|?] [start] [end] [step]\n\n" + printf "The values for the first parameter may be one of the following:\n\n" + printf " \e[1m-\e[m Will result in the default output.\n" + printf " \e[1m-b\e[m This will display the 8 color version of this chart.\n" + printf " \e[1m-f\e[m This will display the 256 color version of this chart using foreground colors.\n" + printf " \e[1m-q\e[m This will display the 256 color version of this chart without the extra text.\n" + printf " \e[1m-bq\e[m This will display the 8 color version of this chart without the extra text.\n" + printf " \e[1m-fq\e[m This will display the 256 color version of this chart using foreground colors without the extra text.\n" + printf " \e[1m-?|?\e[m Displays this help screen.\n" + printf "\nThe remaining parameters are only used if the first parameter is one of: \e[1m-,-f,q,fq\e[m\n\n" + printf " \e[1mstart\e[m The color index to begin display at.\n" + printf " \e[1mend\e[m The color index to stop display at.\n" + printf " \e[1mstart\e[m The number of indexes to increment color by each iteration.\n\n\n" + +} +verbose() { + if [[ "$1" != "-q" && "$1" != "-fq" && "$1" != "-bq" ]]; then + printf "\nTo control the display style use \e[1m%s\e[m where \e[1m%s\e[m is:\n" '\e[{$value}[:{$value}]m' '{$value}' + printf "\n 0 Normal \e[1m1 Bold\e[m \e[2m2 Dim\e[m \e[3m3 ???\e[m \e[4m4 Underlined\e[m \e[5m5 Blink\e[m \e[6m6 ???\e[m \e[7m7 Inverted\e[m \e[8m8 Hidden\e[m\n\n" + printf "If \e[1m%s\e[m is not provided it will reset the display.\n\n" '{$value}' + fi +} +eight_color() { + local fgc bgc vals seq0 + if [ "$1" != "-bq" ]; then + printf "\n\e[1;4m8 Color Escape Value Pallette\e[m\n\n" + printf "Color escapes are \e[1m%s\e[m\n" '\e[${value};...;${value}m' + printf " Values \e[1m30..37\e[m are \e[1mforeground\e[m colors\n" + printf " Values \e[1m40..47\e[m are \e[1mbackground\e[m colors\n\n" + fi + for fgc in {30..37}; do + for bgc in {40..47}; do + fgc=${fgc#37} + bgc=${bgc#40} + vals="${fgc:+$fgc;}${bgc}" + vals=${vals%%;} + seq0="${vals:+\e[${vals}m}" + printf " %-9s" "${seq0:-(default)}" + printf " ${seq0}TEXT\e[m" + printf " \e[${vals:+${vals+$vals;}}1mBOLD\e[m" + done + printf "\e[0m\n" + done +} + + +if [[ "$1" == "-b" || "$1" == "-bq" ]]; then + eight_color "$1" + verbose "$1" +elif [[ "$1" == "" || "$1" == "-" || "$1" == "-f" || "$1" == "-q" || "$1" == "-fq" ]]; then + start=${2:-0} + end=${3:-255} + step=${4:-1} + color=$start + style="48;5;" + if [[ "$1" == "-f" || "$1" == "-fq" ]]; then + style="38;5;" + fi + perLine=$(( ( $(tput cols) - 2 ) / 9 )); + if [[ "$1" != "-q" && "$1" != "-fq" ]]; then + printf "\n\e[1;4m256 Color Escape Value Pallette\e[0m\n\n" + printf " \e[1m%s\e[m for \e[1mbackground\e[m colors\n \e[1m%s\e[m for \e[1mforeground\e[m colors\n\n" '\e[48;5;${value}m' '\e[38;5;${value}m' + fi + while [ $color -le $end ]; do + printf "\e[m \e[${style}${color}m %3d \e[m " $color + ((color+=step)) + if [ $(( ( ( $color - $start ) / $step ) % $perLine )) -eq 0 ]; then + printf "\n" + fi + done + printf "\e[m\n" + verbose "$1" +else + useage +fi
A scripts/scripts/icyinfo.sh

@@ -0,0 +1,52 @@

+#!/bin/bash + +# a system info script written by yours truly +# it's hardcoded stuff, lulz + +red="\e[31m" +grn="\e[32m" +ylw="\e[33m" +cyn="\e[36m" +blu="\e[34m" +prp="\e[35m" +bprp="\e[35;1m" +rst="\e[0m" + +echo + +color-echo() +{ # print with colors + echo -e " $cyn$1: $rst$2" +} + +# kernel +color-echo 'kernel' "$(uname -smr)" + +# uptime +up=$(</proc/uptime) +up=${up//.*} # string before first . is seconds +days=$((${up}/86400)) # seconds divided by 86400 is days +hours=$((${up}/3600%24)) # seconds divided by 3600 mod 24 is hours +mins=$((${up}/60%60)) # seconds divided by 60 mod 60 is mins +color-echo "uptime" $days'd '$hours'h '$mins'm' + +# shell +color-echo 'shell' 'zsh' + +# wm +color-echo 'wm' 'i3' + +# distro +color-echo 'distro' 'Arch Linux' + +# ascii art + +echo "/\ /\ " +echo "\^ ^/ i c y p h o x " +echo "" +# colors + +echo -e "$red▓▓$rst $grn▓▓$rst $blu▓▓$rst $ylw▓▓$rst $cyn▓▓$rst $prp▓▓$rst $bprp▓▓$rst" + +echo +echo
A scripts/scripts/lock.sh

@@ -0,0 +1,10 @@

+#!/bin/bash + +image_file=/tmp/screen_lock.png +resolution=$(xdpyinfo | grep dimensions | awk '{print $2}') +filters='gblur=sigma=8' +ffmpeg -y -loglevel 0 -s "$resolution" -f x11grab -i $DISPLAY -vframes 1 \ + -vf "$filters" "$image_file" +i3lock -i $image_file -l '#d8dee9' -o '#99C794' -w '#EC5f67' + +
A scripts/scripts/oxo.sh

@@ -0,0 +1,92 @@

+#!/bin/bash +# 0x0 - client for 0x0.st + +me=${0##*/} +host=https://0x0.st + +if [[ ! -t 1 ]];then + quiet=true +fi + +help() { + cat >&2 <<EOF +Usage: ${me} [-f <file>] [-s <url>] [-u <url>] [file] +Client for interacting with 0x0.st. +If no file is given, upload stdin. + -f <file> - upload <file> + -s <url> - shorten <url> + -u <url> - upload content of <url> +EOF +} + +clip() { + if command -v xsel >/dev/null 2>&1;then + printf '%s' "$@" | xsel -b + fi +} + +file_upload() { + local curl_opts="-s" file="$1" type + [[ "${quiet}" ]] || curl_opts="-#" + [[ "${quiet}" ]] || echo "uploading \"${file}\"..." >&2 + [[ "$#" -gt 1 ]] && echo -n "${file} ... " + url=$(curl ${curl_opts} -F "file=@${file}" "${host}") + echo "${url}" + clip "${url}" +} + +shorten_url() { + local curl_opts="-s" url="$1" shortened + [[ "${quiet}" ]] || curl_opts="-#" + [[ "${quiet}" ]] || echo "shortening \"${url}\"..." >&2 + [[ "$#" -gt 1 ]] && echo -n "${url} ... " + shortened=$(curl ${curl_opts} -F "shorten=${url}" "${host}") + echo "${shortened}" + clip "${shortened}" +} + +upload_url() { + local curl_opts="-s" url="$1" uploaded + [[ "${quiet}" ]] || curl_opts="-#" + [[ "${quiet}" ]] || echo "uploading \"${url}\"..." >&2 + [[ "$#" -gt 1 ]] && echo -n "${url} ... " + uploaded=$(curl ${curl_opts} -F "url=${url}" "${host}") + echo "${uploaded}" + clip "${uploaded}" +} + +# 1KiB = 1024 bytes +# 1MiB = 1024 KiB +# max size - 256MiB + +max_size=$(( (1024*1024) * 256 )) + +if [[ -f "$1" || "$#" -lt 1 ]];then + mode="default" +else + mode="$1" + shift +fi + +case "$mode" in + default) + if [[ "$#" -gt 0 ]];then + file_upload "${@}" + else + quiet=true file_upload "-" + fi + ;; + -f) + file_upload "${@}" + ;; + -u) + upload_url "${@}" + ;; + -s) + shorten_url "${@}" + ;; + -h|--help) + help + ;; +esac +
A scripts/scripts/scrot.sh

@@ -0,0 +1,7 @@

+#!/bin/bash + +# screenshootin' lika boss + +scrot ~/Pictures/scrots/scrot_$(date +%F_%T).png +~/scripts/oxo.sh ~/Pictures/scrots/scrot_$(date +%F_%T).png +
A scripts/scripts/spaceinvaders.sh

@@ -0,0 +1,41 @@

+#!/bin/bash +# +# This file echoes a bunch of color codes to the +# terminal to demonstrate what's available. Each +# line is the color code of one foreground color, +# out of 17 (default + 16 escapes), followed by a +# test use of that color on all nine background +# colors (default + 8 escapes). +# + + +f=3 b=4 +for j in f b; do + for i in {0..7}; do + printf -v $j$i %b "\e[${!j}${i}m" + done +done +bld=$'\e[1m' +rst=$'\e[0m' + +cat << EOF + + $f1 ▀▄ ▄▀ $f2 ▄▄▄████▄▄▄ $f3 ▄██▄ $f4 ▀▄ ▄▀ $f5 ▄▄▄████▄▄▄ $f6 ▄██▄ $rst + $f1 ▄█▀███▀█▄ $f2███▀▀██▀▀███ $f3▄█▀██▀█▄ $f4 ▄█▀███▀█▄ $f5███▀▀██▀▀███ $f6▄█▀██▀█▄$rst + $f1█▀███████▀█ $f2▀▀███▀▀███▀▀ $f3▀█▀██▀█▀ $f4█▀███████▀█ $f5▀▀███▀▀███▀▀ $f6▀█▀██▀█▀$rst + $f1▀ ▀▄▄ ▄▄▀ ▀ $f2 ▀█▄ ▀▀ ▄█▀ $f3▀▄ ▄▀ $f4▀ ▀▄▄ ▄▄▀ ▀ $f5 ▀█▄ ▀▀ ▄█▀ $f6▀▄ ▄▀$rst + + $bld$f1▄ ▀▄ ▄▀ ▄ $f2 ▄▄▄████▄▄▄ $f3 ▄██▄ $f4▄ ▀▄ ▄▀ ▄ $f5 ▄▄▄████▄▄▄ $f6 ▄██▄ $rst + $bld$f1█▄█▀███▀█▄█ $f2███▀▀██▀▀███ $f3▄█▀██▀█▄ $f4█▄█▀███▀█▄█ $f5███▀▀██▀▀███ $f6▄█▀██▀█▄$rst + $bld$f1▀█████████▀ $f2▀▀▀██▀▀██▀▀▀ $f3▀▀█▀▀█▀▀ $f4▀█████████▀ $f5▀▀▀██▀▀██▀▀▀ $f6▀▀█▀▀█▀▀$rst + $bld$f1 ▄▀ ▀▄ $f2▄▄▀▀ ▀▀ ▀▀▄▄ $f3▄▀▄▀▀▄▀▄ $f4 ▄▀ ▀▄ $f5▄▄▀▀ ▀▀ ▀▀▄▄ $f6▄▀▄▀▀▄▀▄$rst + + + $f7▌$rst + + $f7▌$rst + + $f7 ▄█▄ $rst + $f7▄█████████▄$rst + $f7▀▀▀▀▀▀▀▀▀▀▀$rst +EOF
A scripts/scripts/spoti.py

@@ -0,0 +1,20 @@

+#!/usr/bin/python + +import os + +cmd = os.popen('playerctl -p spotify status').read() +cmd = cmd.split('\n') +cmd = cmd[0] + +meta_artist = os.popen('playerctl -p spotify metadata xesam:artist').read() +meta_title = os.popen('playerctl -p spotify metadata xesam:title').read() + +if cmd == "Playing": + print(' ' + meta_title + ' - ' + meta_artist) + +elif cmd == 'Paused': + print(' ' + meta_title + ' - ' + meta_artist) + +else: + print(' no music playing') +
A ssh/.ssh/config

@@ -0,0 +1,27 @@

+Host * + ServerAliveInterval 20 + ServerAliveCountMax 2 + +Host github.com + IdentityFile ~/.ssh/github + Hostname ssh.github.com + Port 443 + +Host gitlab.com + IdentityFile ~/.ssh/github + Hostname altssh.gitlab.com + User git + PreferredAuthentications publickey + Port 443 + +Host droplet + IdentityFile ~/.ssh/id_rsa + Hostname 139.59.95.34 + User root + Port 443 + +Host rishav + IdentityFile ~/.ssh/github + Hostname 139.59.17.10 + User fox + Port 443
A ssh/README.md

@@ -0,0 +1,2 @@

+## ssh config +github/gitlab and my servers
A sxhkd/.config/sxhkd/sxhkdrc

@@ -0,0 +1,15 @@

+# _ _ _ +# _____ _| |__ | | ____| |_ __ ___ +#/ __\ \/ / '_ \| |/ / _` | '__/ __| +#\__ \> <| | | | < (_| | | | (__ +#|___/_/\_\_| |_|_|\_\__,_|_| \___| +# + +super + Return + urxvtc + +super + d + rofi -show run + +super + ctrl + l + ~/scripts/lock.sh
A sxhkd/README.md

@@ -0,0 +1,3 @@

+## sxhkd +Simple X Hotkey Daemon +pretty nifty when using xfwm standalone
A vim/.vimrc

@@ -0,0 +1,131 @@

+" _ +" _ __(_)___ ___ __________ +" | | / / / __ `__ \/ ___/ ___/ +" _| |/ / / / / / / / / / /__ +"(_)___/_/_/ /_/ /_/_/ \___/ +" +" + +autocmd FileType html setlocal ts=2 sts=2 sw=2 expandtab +autocmd FileType css setlocal ts=2 sts=2 sw=2 expandtab + +set shiftwidth=4 " indent = 4 spaces +set noexpandtab " tabs are tabs +set tabstop=4 " tab = 4 spaces +set softtabstop=4 " backspace through spaces + +execute pathogen#infect() +set swapfile +set dir=/tmp +set number +set smartcase +syntax on +filetype plugin indent on +set laststatus=2 +set noshowmode +set hlsearch +set incsearch +set cursorline +set ignorecase +set scrolloff=12 +set rtp+=~/.fzf +set timeout timeoutlen=3000 ttimeoutlen=100 + +colorscheme agila + +let mapleader=' ' +nnoremap <leader>n : nohlsearch<cr> +nnoremap <leader>l : Lines<cr> +nnoremap <leader>b : Buffers<cr> +nnoremap <leader>o : only<cr> +nnoremap <leader>t : call GetTabber()<cr> + +let g:currentmode={ + \ 'n' : 'NORMAL ', + \ 'no' : 'N·Operator Pending ', + \ 'v' : 'VISUAL ', + \ 'V' : 'V·Line ', + \ '' : 'V·Block', + \ 's' : 'Select ', + \ 'S' : 'S·Line ', + \ '' : 'S·Block', + \ 'i' : 'INSERT ', + \ 'R' : 'REPLACE ', + \ 'Rv' : 'V·Replace ', + \ 'c' : 'Command ', + \ 'cv' : 'Vim Ex ', + \ 'ce' : 'Ex ', + \ 'r' : 'Prompt ', + \ 'rm' : 'MORE ', + \ 'r?' : 'CONFIRM ', + \ '!' : 'SHELL ', + \ 't' : 'TERMINAL '} + +set statusline= +set statusline+=%#TabLineSel# +set statusline+=\ %{g:currentmode[mode()]} +set statusline+=%#TODO# +set statusline+=%{StatuslineGit()} +set statusline+=%#TabLineFill# +set statusline+=\ %f\ +set statusline+=%m +set statusline+=%#TabLineFill# +set statusline+=%= +set statusline+=%#TODO# +set statusline+=\ %l\ +set statusline+=%#TabLineSel# +set statusline+=\ %y\ +set statusline+=%#TabLine# + +" for git branch in statusline, from nerdypepper +function! GitBranch() + return system("git rev-parse --abbrev-ref HEAD 2>/dev/null | tr -d '\n'") +endfunction + + +function! S_gitgutter() " formatted git hunk summary for statusline + if exists('b:gitgutter') + let l:summary = b:gitgutter.summary + if l:summary[0] != 0 || l:summary[1] != 0 || l:summary[2] != 0 + return ' +'.l:summary[0].' ~'.l:summary[1].' -'.l:summary[2].' ' + endif + endif + return '' +endfunction + +function! StatuslineGit() + let l:branchname = GitBranch() + return strlen(l:branchname) > 0?' '.l:branchname.' ':'' +endfunction + + +function! GetTabber() " a lil function that integrates well with Tabular.vim + let c = nr2char(getchar()) + :execute 'Tabularize /' . c +endfunction" + +" git gutter settings +let g:gitgutter_override_sign_column_highlight = 0 +let g:gitgutter_sign_added = '+' +let g:gitgutter_sign_modified = '±' +let g:gitgutter_sign_removed = '-' +let g:gitgutter_sign_removed_first_line = '^' +let g:gitgutter_sign_modified_removed = '#' + +let g:help_in_tabs = 1 + +nmap <silent> H :let g:help_in_tabs = !g:help_in_tabs<CR + +"Only apply to .txt files... +augroup HelpInTabs + autocmd! + autocmd BufEnter *.txt call HelpInNewTab() +augroup END + +"Only apply to help files... +function! HelpInNewTab () + if &buftype == 'help' && g:help_in_tabs + "Convert the help window to a tab... + execute "normal \<C-W>T" + endif +endfunction
A vim/README.md

@@ -0,0 +1,2 @@

+## vim +my .vimrc - you really should see this
A weechat/.weechat/buflist.conf

@@ -0,0 +1,38 @@

+# +# weechat -- buflist.conf +# +# WARNING: It is NOT recommended to edit this file by hand, +# especially if WeeChat is running. +# +# Use /set or similar command to change settings in WeeChat. +# +# For more info, see: https://weechat.org/doc/quickstart +# + +[look] +auto_scroll = 50 +display_conditions = "${buffer.hidden}==0" +enabled = on +mouse_jump_visited_buffer = off +mouse_move_buffer = on +mouse_wheel = on +nick_prefix = on +nick_prefix_empty = on +signals_refresh = "" +sort = "number,-active" + +[format] +buffer = "${format_number}${indent}${format_nick_prefix}${color_hotlist}${name} " +buffer_current = "${color:,lightgreen}${format_buffer}" +hotlist = " ${color:blue)(${hotlist}${color:blue})" +hotlist_highlight = "${color:blue}" +hotlist_low = "${color:yellow}" +hotlist_message = "${color:green}" +hotlist_none = "${color:default}" +hotlist_private = "${color:lightcyan}" +hotlist_separator = "${color:blue}," +indent = " " +lag = " ${color:green}[${color:brown}${lag}${color:green}]" +name = "${name}" +nick_prefix = "${color_nick_prefix}${nick_prefix}" +number = "${color:blue}${number}${if:${number_displayed}?.: }"
A weechat/.weechat/irc.conf

@@ -0,0 +1,191 @@

+# +# weechat -- irc.conf +# +# WARNING: It is NOT recommended to edit this file by hand, +# especially if WeeChat is running. +# +# Use /set or similar command to change settings in WeeChat. +# +# For more info, see: https://weechat.org/doc/quickstart +# + +[look] +buffer_open_before_autojoin = on +buffer_open_before_join = off +buffer_switch_autojoin = on +buffer_switch_join = on +color_nicks_in_names = off +color_nicks_in_nicklist = on +color_nicks_in_server_messages = off +color_pv_nick_like_channel = on +ctcp_time_format = "%a, %d %b %Y %T %z" +display_away = local +display_ctcp_blocked = on +display_ctcp_reply = on +display_ctcp_unknown = on +display_host_join = off +display_host_join_local = off +display_host_quit = off +display_join_message = "329,332,333,366" +display_old_topic = on +display_pv_away_once = on +display_pv_back = on +highlight_channel = "$nick" +highlight_pv = "$nick" +highlight_server = "$nick" +highlight_tags_restrict = "irc_privmsg,irc_notice" +item_channel_modes_hide_args = "k" +item_display_server = buffer_plugin +item_nick_modes = on +item_nick_prefix = on +join_auto_add_chantype = off +msgbuffer_fallback = current +new_channel_position = none +new_pv_position = none +nick_completion_smart = speakers +nick_mode = prefix +nick_mode_empty = off +nicks_hide_password = "nickserv" +notice_as_pv = auto +notice_welcome_redirect = on +notice_welcome_tags = "" +notify_tags_ison = "notify_message" +notify_tags_whois = "notify_message" +part_closes_buffer = off +pv_buffer = independent +pv_tags = "notify_private" +raw_messages = 256 +server_buffer = independent +smart_filter = on +smart_filter_delay = 5 +smart_filter_join = on +smart_filter_join_unmask = 30 +smart_filter_mode = "+" +smart_filter_nick = on +smart_filter_quit = on +temporary_servers = on +topic_strip_colors = off + +[color] +input_nick = red +item_channel_modes = default +item_lag_counting = default +item_lag_finished = yellow +item_nick_modes = default +message_join = green +message_quit = red +mirc_remap = "1,-1:darkgray" +nick_prefixes = "y:lightred;q:lightred;a:lightcyan;o:lightgreen;h:lightmagenta;v:yellow;*:lightblue" +notice = green +reason_quit = default +topic_current = default +topic_new = white +topic_old = default + +[network] +autoreconnect_delay_growing = 2 +autoreconnect_delay_max = 600 +ban_mask_default = "*!$ident@$host" +channel_encode = off +colors_receive = on +colors_send = on +lag_check = 60 +lag_max = 1800 +lag_min_show = 500 +lag_reconnect = 0 +lag_refresh_interval = 1 +notify_check_ison = 1 +notify_check_whois = 5 +sasl_fail_unavailable = on +send_unknown_commands = off +whois_double_nick = off + +[msgbuffer] + +[ctcp] + +[ignore] + +[server_default] +addresses = "" +anti_flood_prio_high = 2 +anti_flood_prio_low = 2 +autoconnect = off +autojoin = "" +autoreconnect = on +autoreconnect_delay = 10 +autorejoin = off +autorejoin_delay = 30 +away_check = 0 +away_check_max_nicks = 25 +capabilities = "" +command = "" +command_delay = 0 +connection_timeout = 60 +ipv6 = on +local_hostname = "" +msg_kick = "" +msg_part = "WeeChat ${info:version}" +msg_quit = "WeeChat ${info:version}" +nicks = "icyphox,icyphox1,icyphox2,icyphox3,icyphox4" +nicks_alternate = on +notify = "" +password = "" +proxy = "" +realname = "" +sasl_fail = continue +sasl_key = "" +sasl_mechanism = plain +sasl_password = "" +sasl_timeout = 15 +sasl_username = "" +ssl = off +ssl_cert = "" +ssl_dhkey_size = 2048 +ssl_fingerprint = "" +ssl_priorities = "NORMAL:-VERS-SSL3.0" +ssl_verify = on +usermode = "" +username = "icyphox" + +[server] +rizon.addresses = "139.59.95.34/6666" +rizon.proxy +rizon.ipv6 +rizon.ssl +rizon.ssl_cert +rizon.ssl_priorities +rizon.ssl_dhkey_size +rizon.ssl_fingerprint +rizon.ssl_verify +rizon.password = "*****************" +rizon.capabilities +rizon.sasl_mechanism +rizon.sasl_username +rizon.sasl_password +rizon.sasl_key +rizon.sasl_timeout +rizon.sasl_fail +rizon.autoconnect +rizon.autoreconnect +rizon.autoreconnect_delay +rizon.nicks +rizon.nicks_alternate +rizon.username = "icyphox/rizon" +rizon.realname +rizon.local_hostname +rizon.usermode +rizon.command +rizon.command_delay +rizon.autojoin +rizon.autorejoin +rizon.autorejoin_delay +rizon.connection_timeout +rizon.anti_flood_prio_high +rizon.anti_flood_prio_low +rizon.away_check +rizon.away_check_max_nicks +rizon.msg_kick +rizon.msg_part +rizon.msg_quit +rizon.notify
A weechat/.weechat/weechat.conf

@@ -0,0 +1,668 @@

+# +# weechat -- weechat.conf +# +# WARNING: It is NOT recommended to edit this file by hand, +# especially if WeeChat is running. +# +# Use /set or similar command to change settings in WeeChat. +# +# For more info, see: https://weechat.org/doc/quickstart +# + +[debug] + +[startup] +command_after_plugins = "" +command_before_plugins = "" +display_logo = on +display_version = on +sys_rlimit = "" + +[look] +align_end_of_lines = message +align_multiline_words = on +bar_more_down = "++" +bar_more_left = "<<" +bar_more_right = ">>" +bar_more_up = "--" +bare_display_exit_on_input = on +bare_display_time_format = "%H:%M" +buffer_auto_renumber = on +buffer_notify_default = all +buffer_position = end +buffer_search_case_sensitive = off +buffer_search_force_default = off +buffer_search_regex = off +buffer_search_where = prefix_message +buffer_time_format = "" +color_basic_force_bold = off +color_inactive_buffer = on +color_inactive_message = on +color_inactive_prefix = on +color_inactive_prefix_buffer = on +color_inactive_time = off +color_inactive_window = on +color_nick_offline = off +color_pairs_auto_reset = 5 +color_real_white = on +command_chars = "" +command_incomplete = off +confirm_quit = off +confirm_upgrade = off +day_change = on +day_change_message_1date = "-- %a, %d %b %Y --" +day_change_message_2dates = "-- %%a, %%d %%b %%Y (%a, %d %b %Y) --" +eat_newline_glitch = off +emphasized_attributes = "" +highlight = "icyphox,icy,ice" +highlight_regex = "" +highlight_tags = "" +hotlist_add_conditions = "${away} || ${buffer.num_displayed} == 0" +hotlist_buffer_separator = ", " +hotlist_count_max = 2 +hotlist_count_min_msg = 2 +hotlist_names_count = 3 +hotlist_names_length = 0 +hotlist_names_level = 12 +hotlist_names_merged_buffers = off +hotlist_prefix = "H: " +hotlist_remove = merged +hotlist_short_names = on +hotlist_sort = group_time_asc +hotlist_suffix = "" +hotlist_unique_numbers = on +input_cursor_scroll = 20 +input_share = none +input_share_overwrite = off +input_undo_max = 32 +item_away_message = on +item_buffer_filter = "*" +item_buffer_zoom = "!" +item_mouse_status = "M" +item_time_format = "%I.%M%p" +jump_current_to_previous_buffer = on +jump_previous_buffer_when_closing = on +jump_smart_back_to_buffer = on +key_bind_safe = on +key_grab_delay = 800 +mouse = on +mouse_timer_delay = 100 +nick_color_force = "" +nick_color_hash = djb2 +nick_color_stop_chars = "_|[" +nick_prefix = " " +nick_suffix = " " +paste_auto_add_newline = on +paste_bracketed = on +paste_bracketed_timer_delay = 10 +paste_max_lines = 3 +prefix_action = "|" +prefix_align = right +prefix_align_max = 0 +prefix_align_min = 0 +prefix_align_more = "+" +prefix_align_more_after = on +prefix_buffer_align = right +prefix_buffer_align_max = 0 +prefix_buffer_align_more = "+" +prefix_buffer_align_more_after = on +prefix_error = "+" +prefix_join = " > " +prefix_network = " ⇄ " +prefix_quit = " < " +prefix_same_nick = "↳" +prefix_suffix = "" +quote_nick_prefix = "<" +quote_nick_suffix = ">" +quote_time_format = "%H:%M:%S" +read_marker = line +read_marker_always_show = off +read_marker_string = "- " +save_config_on_exit = on +save_layout_on_exit = all +scroll_amount = 3 +scroll_bottom_after_switch = off +scroll_page_percent = 100 +search_text_not_found_alert = on +separator_horizontal = "-" +separator_vertical = "" +tab_width = 1 +time_format = "%a, %d %b %Y %T" +window_auto_zoom = off +window_separator_horizontal = on +window_separator_vertical = on +window_title = "WeeChat ${info:version}" +word_chars_highlight = "!\u00A0,-,_,|,alnum" +word_chars_input = "!\u00A0,-,_,|,alnum" + +[palette] + +[color] +bar_more = gray +chat = default +chat_bg = default +chat_buffer = white +chat_channel = white +chat_day_change = cyan +chat_delimiters = green +chat_highlight = black +chat_highlight_bg = yellow +chat_host = cyan +chat_inactive_buffer = darkgray +chat_inactive_window = darkgray +chat_nick = lightcyan +chat_nick_colors = "red,green,blue,magenta,cyan,lightred,lightgreen,lightblue,lightmagenta,lightcyan" +chat_nick_offline = darkgray +chat_nick_offline_highlight = darkgray +chat_nick_offline_highlight_bg = yellow +chat_nick_other = cyan +chat_nick_prefix = green +chat_nick_self = yellow +chat_nick_suffix = green +chat_prefix_action = white +chat_prefix_buffer = brown +chat_prefix_buffer_inactive_buffer = default +chat_prefix_error = yellow +chat_prefix_join = lightgreen +chat_prefix_more = gray +chat_prefix_network = magenta +chat_prefix_quit = lightred +chat_prefix_suffix = green +chat_read_marker = darkgray +chat_read_marker_bg = default +chat_server = brown +chat_tags = red +chat_text_found = yellow +chat_text_found_bg = lightmagenta +chat_time = darkgray +chat_time_delimiters = darkgray +chat_value = cyan +chat_value_null = blue +emphasized = yellow +emphasized_bg = magenta +input_actions = lightgreen +input_text_not_found = red +item_away = yellow +nicklist_away = cyan +nicklist_group = green +separator = darkgray +status_count_highlight = magenta +status_count_msg = brown +status_count_other = default +status_count_private = green +status_data_highlight = lightmagenta +status_data_msg = yellow +status_data_other = default +status_data_private = lightgreen +status_filter = green +status_more = yellow +status_mouse = green +status_name = white +status_name_ssl = lightgreen +status_nicklist_count = default +status_number = yellow +status_time = default + +[completion] +base_word_until_cursor = on +command_inline = on +default_template = "%(nicks)|%(irc_channels)" +nick_add_space = on +nick_case_sensitive = off +nick_completer = ":" +nick_first_only = off +nick_ignore_chars = "[]-^" +partial_completion_alert = on +partial_completion_command = off +partial_completion_command_arg = off +partial_completion_count = on +partial_completion_other = off + +[history] +display_default = 0 +max_buffer_lines_minutes = 0 +max_buffer_lines_number = 4096 +max_commands = 100 +max_visited_buffers = 50 + +[proxy] + +[network] +connection_timeout = 60 +gnutls_ca_file = "/usr/share/curl/ca-bundle.crt" +gnutls_handshake_timeout = 30 +proxy_curl = "" + +[plugin] +autoload = "*" +debug = off +extension = ".so" +path = "%h/plugins" +save_config_on_unload = on + +[bar] +buddylist.color_bg = default +buddylist.color_delim = default +buddylist.color_fg = default +buddylist.conditions = "" +buddylist.filling_left_right = vertical +buddylist.filling_top_bottom = horizontal +buddylist.hidden = on +buddylist.items = "buddylist" +buddylist.position = left +buddylist.priority = 0 +buddylist.separator = on +buddylist.size = 0 +buddylist.size_max = 0 +buddylist.type = root +buffers.color_bg = red +buffers.color_delim = default +buffers.color_fg = default +buffers.conditions = "" +buffers.filling_left_right = vertical +buffers.filling_top_bottom = columns_vertical +buffers.hidden = on +buffers.items = "buffers" +buffers.position = left +buffers.priority = 0 +buffers.separator = on +buffers.size = 0 +buffers.size_max = 0 +buffers.type = root +buflist.color_bg = default +buflist.color_delim = lightcyan +buflist.color_fg = red +buflist.conditions = "" +buflist.filling_left_right = vertical +buflist.filling_top_bottom = columns_horizontal +buflist.hidden = off +buflist.items = "buflist" +buflist.position = top +buflist.priority = 0 +buflist.separator = off +buflist.size = 0 +buflist.size_max = 0 +buflist.type = root +input.color_bg = default +input.color_delim = cyan +input.color_fg = default +input.conditions = "" +input.filling_left_right = vertical +input.filling_top_bottom = horizontal +input.hidden = off +input.items = " > input_text" +input.position = bottom +input.priority = 1000 +input.separator = off +input.size = 1 +input.size_max = 0 +input.type = window +isetbar.color_bg = default +isetbar.color_delim = cyan +isetbar.color_fg = default +isetbar.conditions = "" +isetbar.filling_left_right = vertical +isetbar.filling_top_bottom = horizontal +isetbar.hidden = on +isetbar.items = "isetbar_help" +isetbar.position = top +isetbar.priority = 0 +isetbar.separator = on +isetbar.size = 3 +isetbar.size_max = 3 +isetbar.type = window +nicklist.color_bg = default +nicklist.color_delim = cyan +nicklist.color_fg = default +nicklist.conditions = "nicklist" +nicklist.filling_left_right = vertical +nicklist.filling_top_bottom = columns_vertical +nicklist.hidden = off +nicklist.items = "buffer_nicklist" +nicklist.position = right +nicklist.priority = 200 +nicklist.separator = off +nicklist.size = 0 +nicklist.size_max = 0 +nicklist.type = window +status.color_bg = default +status.color_delim = cyan +status.color_fg = default +status.conditions = "" +status.filling_left_right = vertical +status.filling_top_bottom = horizontal +status.hidden = on +status.items = "[time],[buffer_count],[buffer_plugin],buffer_number+:+buffer_name+{buffer_nicklist_count}+buffer_filter,[lag],[hotlist],completion,scroll" +status.position = bottom +status.priority = 500 +status.separator = off +status.size = 1 +status.size_max = 0 +status.type = window +title.color_bg = default +title.color_delim = cyan +title.color_fg = default +title.conditions = "" +title.filling_left_right = vertical +title.filling_top_bottom = horizontal +title.hidden = off +title.items = "buffer_title" +title.position = top +title.priority = 500 +title.separator = off +title.size = 1 +title.size_max = 0 +title.type = window + +[layout] +default.buffer = "core;weechat;1" +default.buffer = "irc;server.rizon;2" +default.window = "1;0;0;0;irc;server.rizon" +default.current = on + +[notify] + +[filter] + +[key] +ctrl-? = "/input delete_previous_char" +ctrl-A = "/input move_beginning_of_line" +ctrl-B = "/input move_previous_char" +ctrl-Cb = "/input insert \x02" +ctrl-Cc = "/input insert \x03" +ctrl-Ci = "/input insert \x1D" +ctrl-Co = "/input insert \x0F" +ctrl-Cr = "/input insert \x12" +ctrl-Cu = "/input insert \x15" +ctrl-D = "/input delete_next_char" +ctrl-E = "/input move_end_of_line" +ctrl-F = "/input move_next_char" +ctrl-H = "/input delete_previous_char" +ctrl-I = "/input complete_next" +ctrl-J = "/input return" +ctrl-K = "/input delete_end_of_line" +ctrl-L = "/window refresh" +ctrl-M = "/input return" +ctrl-N = "/buffer +1" +ctrl-P = "/buffer -1" +ctrl-R = "/input search_text" +ctrl-Sctrl-U = "/input set_unread" +ctrl-T = "/input transpose_chars" +ctrl-U = "/input delete_beginning_of_line" +ctrl-W = "/input delete_previous_word" +ctrl-X = "/input switch_active_buffer" +ctrl-Y = "/input clipboard_paste" +meta-meta-OP = "/bar scroll buflist * b" +meta-meta-OQ = "/bar scroll buflist * e" +meta-meta2-1~ = "/window scroll_top" +meta-meta2-23~ = "/bar scroll nicklist * yb" +meta-meta2-24~ = "/bar scroll nicklist * ye" +meta-meta2-4~ = "/window scroll_bottom" +meta-meta2-5~ = "/window scroll_up" +meta-meta2-6~ = "/window scroll_down" +meta-meta2-7~ = "/window scroll_top" +meta-meta2-8~ = "/window scroll_bottom" +meta-meta2-A = "/buffer -1" +meta-meta2-B = "/buffer +1" +meta-meta2-C = "/buffer +1" +meta-meta2-D = "/buffer -1" +meta-0 = "/buffer *10" +meta-1 = "/buffer *1" +meta-2 = "/buffer *2" +meta-3 = "/buffer *3" +meta-4 = "/buffer *4" +meta-5 = "/buffer *5" +meta-6 = "/buffer *6" +meta-7 = "/buffer *7" +meta-8 = "/buffer *8" +meta-9 = "/buffer *9" +meta-< = "/input jump_previously_visited_buffer" +meta-= = "/filter toggle" +meta-> = "/input jump_next_visited_buffer" +meta-OA = "/input history_global_previous" +meta-OB = "/input history_global_next" +meta-OC = "/input move_next_word" +meta-OD = "/input move_previous_word" +meta-OF = "/input move_end_of_line" +meta-OH = "/input move_beginning_of_line" +meta-OP = "/bar scroll buflist * -100%" +meta-OQ = "/bar scroll buflist * +100%" +meta-Oa = "/input history_global_previous" +meta-Ob = "/input history_global_next" +meta-Oc = "/input move_next_word" +meta-Od = "/input move_previous_word" +meta2-15~ = "/buffer -1" +meta2-17~ = "/buffer +1" +meta2-18~ = "/window -1" +meta2-19~ = "/window +1" +meta2-1;3A = "/buffer -1" +meta2-1;3B = "/buffer +1" +meta2-1;3C = "/buffer +1" +meta2-1;3D = "/buffer -1" +meta2-1;5A = "/input history_global_previous" +meta2-1;5B = "/input history_global_next" +meta2-1~ = "/input move_beginning_of_line" +meta2-20~ = "/bar scroll title * x-50%" +meta2-21~ = "/bar scroll title * x+50%" +meta2-23~ = "/bar scroll nicklist * y-100%" +meta2-24~ = "/bar scroll nicklist * y+100%" +meta2-3~ = "/input delete_next_char" +meta2-4~ = "/input move_end_of_line" +meta2-5;3~ = "/window scroll_up" +meta2-5~ = "/window page_up" +meta2-6;3~ = "/window scroll_down" +meta2-6~ = "/window page_down" +meta2-7~ = "/input move_beginning_of_line" +meta2-8~ = "/input move_end_of_line" +meta2-A = "/input history_previous" +meta2-B = "/input history_next" +meta2-C = "/input move_next_char" +meta2-D = "/input move_previous_char" +meta2-F = "/input move_end_of_line" +meta2-G = "/window page_down" +meta2-H = "/input move_beginning_of_line" +meta2-I = "/window page_up" +meta2-Z = "/input complete_previous" +meta-_ = "/input redo" +meta-a = "/input jump_smart" +meta-b = "/input move_previous_word" +meta-d = "/input delete_next_word" +meta-f = "/input move_next_word" +meta-h = "/input hotlist_clear" +meta-jmeta-l = "/input jump_last_buffer" +meta-jmeta-r = "/server raw" +meta-jmeta-s = "/server jump" +meta-j01 = "/buffer 1" +meta-j02 = "/buffer 2" +meta-j03 = "/buffer 3" +meta-j04 = "/buffer 4" +meta-j05 = "/buffer 5" +meta-j06 = "/buffer 6" +meta-j07 = "/buffer 7" +meta-j08 = "/buffer 8" +meta-j09 = "/buffer 9" +meta-j10 = "/buffer 10" +meta-j11 = "/buffer 11" +meta-j12 = "/buffer 12" +meta-j13 = "/buffer 13" +meta-j14 = "/buffer 14" +meta-j15 = "/buffer 15" +meta-j16 = "/buffer 16" +meta-j17 = "/buffer 17" +meta-j18 = "/buffer 18" +meta-j19 = "/buffer 19" +meta-j20 = "/buffer 20" +meta-j21 = "/buffer 21" +meta-j22 = "/buffer 22" +meta-j23 = "/buffer 23" +meta-j24 = "/buffer 24" +meta-j25 = "/buffer 25" +meta-j26 = "/buffer 26" +meta-j27 = "/buffer 27" +meta-j28 = "/buffer 28" +meta-j29 = "/buffer 29" +meta-j30 = "/buffer 30" +meta-j31 = "/buffer 31" +meta-j32 = "/buffer 32" +meta-j33 = "/buffer 33" +meta-j34 = "/buffer 34" +meta-j35 = "/buffer 35" +meta-j36 = "/buffer 36" +meta-j37 = "/buffer 37" +meta-j38 = "/buffer 38" +meta-j39 = "/buffer 39" +meta-j40 = "/buffer 40" +meta-j41 = "/buffer 41" +meta-j42 = "/buffer 42" +meta-j43 = "/buffer 43" +meta-j44 = "/buffer 44" +meta-j45 = "/buffer 45" +meta-j46 = "/buffer 46" +meta-j47 = "/buffer 47" +meta-j48 = "/buffer 48" +meta-j49 = "/buffer 49" +meta-j50 = "/buffer 50" +meta-j51 = "/buffer 51" +meta-j52 = "/buffer 52" +meta-j53 = "/buffer 53" +meta-j54 = "/buffer 54" +meta-j55 = "/buffer 55" +meta-j56 = "/buffer 56" +meta-j57 = "/buffer 57" +meta-j58 = "/buffer 58" +meta-j59 = "/buffer 59" +meta-j60 = "/buffer 60" +meta-j61 = "/buffer 61" +meta-j62 = "/buffer 62" +meta-j63 = "/buffer 63" +meta-j64 = "/buffer 64" +meta-j65 = "/buffer 65" +meta-j66 = "/buffer 66" +meta-j67 = "/buffer 67" +meta-j68 = "/buffer 68" +meta-j69 = "/buffer 69" +meta-j70 = "/buffer 70" +meta-j71 = "/buffer 71" +meta-j72 = "/buffer 72" +meta-j73 = "/buffer 73" +meta-j74 = "/buffer 74" +meta-j75 = "/buffer 75" +meta-j76 = "/buffer 76" +meta-j77 = "/buffer 77" +meta-j78 = "/buffer 78" +meta-j79 = "/buffer 79" +meta-j80 = "/buffer 80" +meta-j81 = "/buffer 81" +meta-j82 = "/buffer 82" +meta-j83 = "/buffer 83" +meta-j84 = "/buffer 84" +meta-j85 = "/buffer 85" +meta-j86 = "/buffer 86" +meta-j87 = "/buffer 87" +meta-j88 = "/buffer 88" +meta-j89 = "/buffer 89" +meta-j90 = "/buffer 90" +meta-j91 = "/buffer 91" +meta-j92 = "/buffer 92" +meta-j93 = "/buffer 93" +meta-j94 = "/buffer 94" +meta-j95 = "/buffer 95" +meta-j96 = "/buffer 96" +meta-j97 = "/buffer 97" +meta-j98 = "/buffer 98" +meta-j99 = "/buffer 99" +meta-k = "/input grab_key_command" +meta-n = "/window scroll_next_highlight" +meta-p = "/window scroll_previous_highlight" +meta-r = "/input delete_line" +meta-u = "/input scroll_unread" +meta-wmeta-meta2-A = "/window up" +meta-wmeta-meta2-B = "/window down" +meta-wmeta-meta2-C = "/window right" +meta-wmeta-meta2-D = "/window left" +meta-wmeta2-1;3A = "/window up" +meta-wmeta2-1;3B = "/window down" +meta-wmeta2-1;3C = "/window right" +meta-wmeta2-1;3D = "/window left" +meta-wmeta-b = "/window balance" +meta-wmeta-s = "/window swap" +meta-z = "/window zoom" +ctrl-_ = "/input undo" + +[key_search] +ctrl-I = "/input search_switch_where" +ctrl-J = "/input search_stop_here" +ctrl-M = "/input search_stop_here" +ctrl-Q = "/input search_stop" +ctrl-R = "/input search_switch_regex" +meta2-A = "/input search_previous" +meta2-B = "/input search_next" +meta-c = "/input search_switch_case" + +[key_cursor] +ctrl-J = "/cursor stop" +ctrl-M = "/cursor stop" +meta-meta2-A = "/cursor move area_up" +meta-meta2-B = "/cursor move area_down" +meta-meta2-C = "/cursor move area_right" +meta-meta2-D = "/cursor move area_left" +meta2-1;3A = "/cursor move area_up" +meta2-1;3B = "/cursor move area_down" +meta2-1;3C = "/cursor move area_right" +meta2-1;3D = "/cursor move area_left" +meta2-A = "/cursor move up" +meta2-B = "/cursor move down" +meta2-C = "/cursor move right" +meta2-D = "/cursor move left" +@item(buffer_nicklist):K = "/window ${_window_number};/kickban ${nick}" +@item(buffer_nicklist):b = "/window ${_window_number};/ban ${nick}" +@item(buffer_nicklist):k = "/window ${_window_number};/kick ${nick}" +@item(buffer_nicklist):q = "/window ${_window_number};/query ${nick};/cursor stop" +@item(buffer_nicklist):w = "/window ${_window_number};/whois ${nick}" +@chat:Q = "hsignal:chat_quote_time_prefix_message;/cursor stop" +@chat:m = "hsignal:chat_quote_message;/cursor stop" +@chat:q = "hsignal:chat_quote_prefix_message;/cursor stop" + +[key_mouse] +@item(buffer_nicklist)>item(buddylist):button1-gesture-* = "hsignal:buddylist_mouse" +@chat(*)>item(buddylist):button1-gesture-* = "hsignal:buddylist_mouse" +@bar(buffers):ctrl-wheeldown = "hsignal:buffers_mouse" +@bar(buffers):ctrl-wheelup = "hsignal:buffers_mouse" +@bar(buflist):ctrl-wheeldown = "hsignal:buflist_mouse" +@bar(buflist):ctrl-wheelup = "hsignal:buflist_mouse" +@bar(input):button2 = "/input grab_mouse_area" +@bar(nicklist):button1-gesture-down = "/bar scroll nicklist ${_window_number} +100%" +@bar(nicklist):button1-gesture-down-long = "/bar scroll nicklist ${_window_number} e" +@bar(nicklist):button1-gesture-up = "/bar scroll nicklist ${_window_number} -100%" +@bar(nicklist):button1-gesture-up-long = "/bar scroll nicklist ${_window_number} b" +@chat(perl.iset):button1 = "hsignal:iset_mouse" +@chat(perl.iset):button2* = "hsignal:iset_mouse" +@chat(perl.iset):wheeldown = "/repeat 5 /iset **down" +@chat(perl.iset):wheelup = "/repeat 5 /iset **up" +@chat(script.scripts):button1 = "/window ${_window_number};/script go ${_chat_line_y}" +@chat(script.scripts):button2 = "/window ${_window_number};/script go ${_chat_line_y};/script installremove -q ${script_name_with_extension}" +@chat(script.scripts):wheeldown = "/script down 5" +@chat(script.scripts):wheelup = "/script up 5" +@item(buddylist):button1* = "hsignal:buddylist_mouse" +@item(buddylist):button1-gesture-* = "hsignal:buddylist_mouse" +@item(buffer_nicklist):button1 = "/window ${_window_number};/query ${nick}" +@item(buffer_nicklist):button1-gesture-left = "/window ${_window_number};/kick ${nick}" +@item(buffer_nicklist):button1-gesture-left-long = "/window ${_window_number};/kickban ${nick}" +@item(buffer_nicklist):button2 = "/window ${_window_number};/whois ${nick}" +@item(buffer_nicklist):button2-gesture-left = "/window ${_window_number};/ban ${nick}" +@item(buffers):button1* = "hsignal:buffers_mouse" +@item(buffers):button2* = "hsignal:buffers_mouse" +@item(buflist):button1* = "hsignal:buflist_mouse" +@item(buflist):button2* = "hsignal:buflist_mouse" +@bar:wheeldown = "/bar scroll ${_bar_name} ${_window_number} +20%" +@bar:wheelup = "/bar scroll ${_bar_name} ${_window_number} -20%" +@chat:button1 = "/window ${_window_number}" +@chat:button1-gesture-left = "/window ${_window_number};/buffer -1" +@chat:button1-gesture-left-long = "/window ${_window_number};/buffer 1" +@chat:button1-gesture-right = "/window ${_window_number};/buffer +1" +@chat:button1-gesture-right-long = "/window ${_window_number};/input jump_last_buffer" +@chat:ctrl-wheeldown = "/window scroll_horiz -window ${_window_number} +10%" +@chat:ctrl-wheelup = "/window scroll_horiz -window ${_window_number} -10%" +@chat:wheeldown = "/window scroll_down -window ${_window_number}" +@chat:wheelup = "/window scroll_up -window ${_window_number}" +@*:button3 = "/cursor go ${_x},${_y}"
A weechat/README.md

@@ -0,0 +1,2 @@

+## weechat +IRC client with crappy dir tree
A x/.Xresources

@@ -0,0 +1,90 @@

+! _ __ +! | |/ /________ _________ __ _______________ _____ +! | // ___/ _ \/ ___/ __ \/ / / / ___/ ___/ _ \/ ___/ +! _ / |/ / / __(__ ) /_/ / /_/ / / / /__/ __(__ ) +!(_)_/|_/_/ \___/____/\____/\__,_/_/ \___/\___/____/ +! + +#define base00 #2e3440 +#define base01 #3b4252 +#define base02 #434c5e +#define base03 #4c566a +#define base04 #d8dee9 +#define base05 #e5e9f0 +#define base06 #eceff4 +#define base07 #8fbcbb +#define base08 #88c0d0 +#define base09 #81a1c1 +#define base0A #5e81ac +#define base0B #bf616a +#define base0C #d08770 +#define base0D #ebcb8b +#define base0E #a3be8c +#define base0F #b48ead + +*foreground: base05 +#ifdef background_opacity +*background: [background_opacity]base00 +#else +*background: base00 +#endif +*cursorColor: base05 + +*color0: base00 +*color1: base08 +*color2: base0B +*color3: base0A +*color4: base0D +*color5: base0E +*color6: base0C +*color7: base05 + +*color8: base03 +*color9: base09 +*color10: base01 +*color11: base02 +*color12: base04 +*color13: base06 +*color14: base0F +*color15: base07 + + +! Urxvt config +!--------------------- +URxvt.font: xft:scientifica:size=8 +URxvt.boldFont: +URxvt.scrollBar: false +URxvt.cursorBlink: true +URxvt.internalBorder: 30 +URxvt.perl-ext: default,matcher +URxvt.matcher.button: 1 +URxvt.url-launcher: /usr/bin/firefox +URxvt.visualBell: false +URxvt.depth: 32 +URxvt.lineSpace: 1 +URxvt.intensityStyles: false +URxvt.iso14755: false +URxvt.iso14755_52: false +URxvt.keysym.Home: \033[1~ +URxvt.keysym.End: \033[4~ +URxvt.keysym.KP_Home: \033[1~ +URxvt.keysym.KP_End: \033[4~ + +! ------------------------------------------------------------------------------ +! ROFI Color theme +! ------------------------------------------------------------------------------ +rofi.color-enabled: true +rofi.color-window: base00, base00, base00 +rofi.color-normal: base00, base05, base00, base01, base0B +rofi.color-active: base01, base0B, base02, base0B, base01 +rofi.color-urgent: #e12a36, #dd2a4b, #1b2b34 +rofi.font:scientifica 8 +rofi.separator-style: none +rofi.hide-scrollbar: true +rofi.location:0 +rofi.lines: 4 +rofi.width: 300 +rofi.yoffset: 26 +rofi.padding: 32 + +
A x/.xinitrc

@@ -0,0 +1,13 @@

+#!/usr/bin/env dash + +# _ _ _ +# __ _(_)_ __ (_) |_ _ __ ___ +# \ \/ / | '_ \| | __| '__/ __| +# _ > <| | | | | | |_| | | (__ +#(_)_/\_\_|_| |_|_|\__|_| \___| +# + +# daemons +xfce4-power-manager & +exec xfwm4-session.sh +
A x/.xmodmap

@@ -0,0 +1,248 @@

+keycode 8 = +keycode 9 = Caps_Lock NoSymbol Caps_Lock +keycode 10 = 1 exclam 1 exclam +keycode 11 = 2 at 2 at +keycode 12 = 3 numbersign 3 numbersign +keycode 13 = 4 dollar 4 dollar +keycode 14 = 5 percent 5 percent +keycode 15 = 6 asciicircum 6 asciicircum +keycode 16 = 7 ampersand 7 ampersand +keycode 17 = 8 asterisk 8 asterisk +keycode 18 = 9 parenleft 9 parenleft +keycode 19 = 0 parenright 0 parenright +keycode 20 = minus underscore minus underscore +keycode 21 = equal plus equal plus +keycode 22 = BackSpace BackSpace BackSpace BackSpace +keycode 23 = Tab ISO_Left_Tab Tab ISO_Left_Tab +keycode 24 = q Q q Q +keycode 25 = w W w W +keycode 26 = e E e E +keycode 27 = r R r R +keycode 28 = t T t T +keycode 29 = y Y y Y +keycode 30 = u U u U +keycode 31 = i I i I +keycode 32 = o O o O +keycode 33 = p P p P +keycode 34 = bracketleft braceleft bracketleft braceleft +keycode 35 = bracketright braceright bracketright braceright +keycode 36 = Return NoSymbol Return +keycode 37 = Control_L NoSymbol Control_L +keycode 38 = a A a A +keycode 39 = s S s S +keycode 40 = d D d D +keycode 41 = f F f F +keycode 42 = g G g G +keycode 43 = h H h H +keycode 44 = j J j J +keycode 45 = k K k K +keycode 46 = l L l L +keycode 47 = semicolon colon semicolon colon +keycode 48 = apostrophe quotedbl apostrophe quotedbl +keycode 49 = grave asciitilde grave asciitilde +keycode 50 = Shift_L NoSymbol Shift_L +keycode 51 = backslash bar backslash bar +keycode 52 = z Z z Z +keycode 53 = x X x X +keycode 54 = c C c C +keycode 55 = v V v V +keycode 56 = b B b B +keycode 57 = n N n N +keycode 58 = m M m M +keycode 59 = comma less comma less +keycode 60 = period greater period greater +keycode 61 = slash question slash question +keycode 62 = Shift_R NoSymbol Shift_R +keycode 63 = KP_Multiply KP_Multiply KP_Multiply KP_Multiply KP_Multiply KP_Multiply XF86ClearGrab +keycode 64 = Alt_L Meta_L Alt_L Meta_L +keycode 65 = space NoSymbol space +keycode 66 = Escape NoSymbol Escape +keycode 67 = F1 F1 F1 F1 F1 F1 XF86Switch_VT_1 +keycode 68 = F2 F2 F2 F2 F2 F2 XF86Switch_VT_2 +keycode 69 = F3 F3 F3 F3 F3 F3 XF86Switch_VT_3 +keycode 70 = F4 F4 F4 F4 F4 F4 XF86Switch_VT_4 +keycode 71 = F5 F5 F5 F5 F5 F5 XF86Switch_VT_5 +keycode 72 = F6 F6 F6 F6 F6 F6 XF86Switch_VT_6 +keycode 73 = F7 F7 F7 F7 F7 F7 XF86Switch_VT_7 +keycode 74 = F8 F8 F8 F8 F8 F8 XF86Switch_VT_8 +keycode 75 = F9 F9 F9 F9 F9 F9 XF86Switch_VT_9 +keycode 76 = F10 F10 F10 F10 F10 F10 XF86Switch_VT_10 +keycode 77 = Num_Lock NoSymbol Num_Lock +keycode 78 = Scroll_Lock NoSymbol Scroll_Lock +keycode 79 = KP_Home KP_7 KP_Home KP_7 +keycode 80 = KP_Up KP_8 KP_Up KP_8 +keycode 81 = KP_Prior KP_9 KP_Prior KP_9 +keycode 82 = KP_Subtract KP_Subtract KP_Subtract KP_Subtract KP_Subtract KP_Subtract XF86Prev_VMode +keycode 83 = KP_Left KP_4 KP_Left KP_4 +keycode 84 = KP_Begin KP_5 KP_Begin KP_5 +keycode 85 = KP_Right KP_6 KP_Right KP_6 +keycode 86 = KP_Add KP_Add KP_Add KP_Add KP_Add KP_Add XF86Next_VMode +keycode 87 = KP_End KP_1 KP_End KP_1 +keycode 88 = KP_Down KP_2 KP_Down KP_2 +keycode 89 = KP_Next KP_3 KP_Next KP_3 +keycode 90 = KP_Insert KP_0 KP_Insert KP_0 +keycode 91 = KP_Delete KP_Decimal KP_Delete KP_Decimal +keycode 92 = ISO_Level3_Shift NoSymbol ISO_Level3_Shift +keycode 93 = +keycode 94 = less greater less greater bar brokenbar bar +keycode 95 = F11 F11 F11 F11 F11 F11 XF86Switch_VT_11 +keycode 96 = F12 F12 F12 F12 F12 F12 XF86Switch_VT_12 +keycode 97 = +keycode 98 = Katakana NoSymbol Katakana +keycode 99 = Hiragana NoSymbol Hiragana +keycode 100 = Henkan_Mode NoSymbol Henkan_Mode +keycode 101 = Hiragana_Katakana NoSymbol Hiragana_Katakana +keycode 102 = Muhenkan NoSymbol Muhenkan +keycode 103 = +keycode 104 = KP_Enter NoSymbol KP_Enter +keycode 105 = Control_R NoSymbol Control_R +keycode 106 = KP_Divide KP_Divide KP_Divide KP_Divide KP_Divide KP_Divide XF86Ungrab +keycode 107 = Print Sys_Req Print Sys_Req +keycode 108 = Alt_R Meta_R Alt_R Meta_R +keycode 109 = Linefeed NoSymbol Linefeed +keycode 110 = Home NoSymbol Home +keycode 111 = Up NoSymbol Up +keycode 112 = Prior NoSymbol Prior +keycode 113 = Left NoSymbol Left +keycode 114 = Right NoSymbol Right +keycode 115 = End NoSymbol End +keycode 116 = Down NoSymbol Down +keycode 117 = Next NoSymbol Next +keycode 118 = Insert NoSymbol Insert +keycode 119 = Delete NoSymbol Delete +keycode 120 = +keycode 121 = XF86AudioMute NoSymbol XF86AudioMute +keycode 122 = XF86AudioLowerVolume NoSymbol XF86AudioLowerVolume +keycode 123 = XF86AudioRaiseVolume NoSymbol XF86AudioRaiseVolume +keycode 124 = XF86PowerOff NoSymbol XF86PowerOff +keycode 125 = KP_Equal NoSymbol KP_Equal +keycode 126 = plusminus NoSymbol plusminus +keycode 127 = Pause Break Pause Break +keycode 128 = XF86LaunchA NoSymbol XF86LaunchA +keycode 129 = KP_Decimal KP_Decimal KP_Decimal KP_Decimal +keycode 130 = Hangul NoSymbol Hangul +keycode 131 = Hangul_Hanja NoSymbol Hangul_Hanja +keycode 132 = +keycode 133 = Super_L NoSymbol Super_L +keycode 134 = Super_R NoSymbol Super_R +keycode 135 = Menu NoSymbol Menu +keycode 136 = Cancel NoSymbol Cancel +keycode 137 = Redo NoSymbol Redo +keycode 138 = SunProps NoSymbol SunProps +keycode 139 = Undo NoSymbol Undo +keycode 140 = SunFront NoSymbol SunFront +keycode 141 = XF86Copy NoSymbol XF86Copy +keycode 142 = XF86Open NoSymbol XF86Open +keycode 143 = XF86Paste NoSymbol XF86Paste +keycode 144 = Find NoSymbol Find +keycode 145 = XF86Cut NoSymbol XF86Cut +keycode 146 = Help NoSymbol Help +keycode 147 = XF86MenuKB NoSymbol XF86MenuKB +keycode 148 = XF86Calculator NoSymbol XF86Calculator +keycode 149 = +keycode 150 = XF86Sleep NoSymbol XF86Sleep +keycode 151 = XF86WakeUp NoSymbol XF86WakeUp +keycode 152 = XF86Explorer NoSymbol XF86Explorer +keycode 153 = XF86Send NoSymbol XF86Send +keycode 154 = +keycode 155 = XF86Xfer NoSymbol XF86Xfer +keycode 156 = XF86Launch1 NoSymbol XF86Launch1 +keycode 157 = XF86Launch2 NoSymbol XF86Launch2 +keycode 158 = XF86WWW NoSymbol XF86WWW +keycode 159 = XF86DOS NoSymbol XF86DOS +keycode 160 = XF86ScreenSaver NoSymbol XF86ScreenSaver +keycode 161 = XF86RotateWindows NoSymbol XF86RotateWindows +keycode 162 = XF86TaskPane NoSymbol XF86TaskPane +keycode 163 = XF86Mail NoSymbol XF86Mail +keycode 164 = XF86Favorites NoSymbol XF86Favorites +keycode 165 = XF86MyComputer NoSymbol XF86MyComputer +keycode 166 = XF86Back NoSymbol XF86Back +keycode 167 = XF86Forward NoSymbol XF86Forward +keycode 168 = +keycode 169 = XF86Eject NoSymbol XF86Eject +keycode 170 = XF86Eject XF86Eject XF86Eject XF86Eject +keycode 171 = XF86AudioNext NoSymbol XF86AudioNext +keycode 172 = XF86AudioPlay XF86AudioPause XF86AudioPlay XF86AudioPause +keycode 173 = XF86AudioPrev NoSymbol XF86AudioPrev +keycode 174 = XF86AudioStop XF86Eject XF86AudioStop XF86Eject +keycode 175 = XF86AudioRecord NoSymbol XF86AudioRecord +keycode 176 = XF86AudioRewind NoSymbol XF86AudioRewind +keycode 177 = XF86Phone NoSymbol XF86Phone +keycode 178 = +keycode 179 = XF86Tools NoSymbol XF86Tools +keycode 180 = XF86HomePage NoSymbol XF86HomePage +keycode 181 = XF86Reload NoSymbol XF86Reload +keycode 182 = XF86Close NoSymbol XF86Close +keycode 183 = +keycode 184 = +keycode 185 = XF86ScrollUp NoSymbol XF86ScrollUp +keycode 186 = XF86ScrollDown NoSymbol XF86ScrollDown +keycode 187 = parenleft NoSymbol parenleft +keycode 188 = parenright NoSymbol parenright +keycode 189 = XF86New NoSymbol XF86New +keycode 190 = Redo NoSymbol Redo +keycode 191 = XF86Tools NoSymbol XF86Tools +keycode 192 = XF86Launch5 NoSymbol XF86Launch5 +keycode 193 = XF86Launch6 NoSymbol XF86Launch6 +keycode 194 = XF86Launch7 NoSymbol XF86Launch7 +keycode 195 = XF86Launch8 NoSymbol XF86Launch8 +keycode 196 = XF86Launch9 NoSymbol XF86Launch9 +keycode 197 = +keycode 198 = XF86AudioMicMute NoSymbol XF86AudioMicMute +keycode 199 = XF86TouchpadToggle NoSymbol XF86TouchpadToggle +keycode 200 = XF86TouchpadOn NoSymbol XF86TouchpadOn +keycode 201 = XF86TouchpadOff NoSymbol XF86TouchpadOff +keycode 202 = +keycode 203 = Mode_switch NoSymbol Mode_switch +keycode 204 = NoSymbol Alt_L NoSymbol Alt_L +keycode 205 = NoSymbol Meta_L NoSymbol Meta_L +keycode 206 = NoSymbol Super_L NoSymbol Super_L +keycode 207 = NoSymbol Hyper_L NoSymbol Hyper_L +keycode 208 = XF86AudioPlay NoSymbol XF86AudioPlay +keycode 209 = XF86AudioPause NoSymbol XF86AudioPause +keycode 210 = XF86Launch3 NoSymbol XF86Launch3 +keycode 211 = XF86Launch4 NoSymbol XF86Launch4 +keycode 212 = XF86LaunchB NoSymbol XF86LaunchB +keycode 213 = XF86Suspend NoSymbol XF86Suspend +keycode 214 = XF86Close NoSymbol XF86Close +keycode 215 = XF86AudioPlay NoSymbol XF86AudioPlay +keycode 216 = XF86AudioForward NoSymbol XF86AudioForward +keycode 217 = +keycode 218 = Print NoSymbol Print +keycode 219 = +keycode 220 = XF86WebCam NoSymbol XF86WebCam +keycode 221 = +keycode 222 = +keycode 223 = XF86Mail NoSymbol XF86Mail +keycode 224 = XF86Messenger NoSymbol XF86Messenger +keycode 225 = XF86Search NoSymbol XF86Search +keycode 226 = XF86Go NoSymbol XF86Go +keycode 227 = XF86Finance NoSymbol XF86Finance +keycode 228 = XF86Game NoSymbol XF86Game +keycode 229 = XF86Shop NoSymbol XF86Shop +keycode 230 = +keycode 231 = Cancel NoSymbol Cancel +keycode 232 = XF86MonBrightnessDown NoSymbol XF86MonBrightnessDown +keycode 233 = XF86MonBrightnessUp NoSymbol XF86MonBrightnessUp +keycode 234 = XF86AudioMedia NoSymbol XF86AudioMedia +keycode 235 = XF86Display NoSymbol XF86Display +keycode 236 = XF86KbdLightOnOff NoSymbol XF86KbdLightOnOff +keycode 237 = XF86KbdBrightnessDown NoSymbol XF86KbdBrightnessDown +keycode 238 = XF86KbdBrightnessUp NoSymbol XF86KbdBrightnessUp +keycode 239 = XF86Send NoSymbol XF86Send +keycode 240 = XF86Reply NoSymbol XF86Reply +keycode 241 = XF86MailForward NoSymbol XF86MailForward +keycode 242 = XF86Save NoSymbol XF86Save +keycode 243 = XF86Documents NoSymbol XF86Documents +keycode 244 = XF86Battery NoSymbol XF86Battery +keycode 245 = XF86Bluetooth NoSymbol XF86Bluetooth +keycode 246 = XF86WLAN NoSymbol XF86WLAN +keycode 247 = +keycode 248 = +keycode 249 = +keycode 250 = +keycode 251 = +keycode 252 = +keycode 253 = +keycode 254 = +keycode 255 =
A x/README.md

@@ -0,0 +1,2 @@

+## X.org +.xinitrc and .Xresources
A xfwm4/.config/xfwm4/autostart

@@ -0,0 +1,7 @@

+xrdb -load .Xresources & +xfsettingsd & +sxhkd & +/home/icyphox/scripts/bar.sh & +xfdesktop & +xset b off +urxvtd &
A xfwm4/README.md

@@ -0,0 +1,2 @@

+## xfwm4 +my xfwm configs, I mostly use this now
A zsh/.oh-my-zsh/themes/simple.zsh-theme

@@ -0,0 +1,6 @@

+PROMPT='%{$fg[green]%}%d%{$fg[blue]%} $(git_prompt_info)%{$reset_color%} - ' + +ZSH_THEME_GIT_PROMPT_PREFIX="(" +ZSH_THEME_GIT_PROMPT_SUFFIX=")" +ZSH_THEME_GIT_PROMPT_DIRTY=" *" +ZSH_THEME_GIT_PROMPT_CLEAN=" ⚫"
A zsh/.zsh-update

@@ -0,0 +1,1 @@

+LAST_EPOCH=17543
A zsh/.zshrc

@@ -0,0 +1,56 @@

+# __ +# ____ _____/ /_ __________ +# /_ / / ___/ __ \/ ___/ ___/ +# _ / /_(__ ) / / / / / /__ +#(_)___/____/_/ /_/_/ \___/ +# + +# export thingys +export ZSH=/home/icyphox/.oh-my-zsh +export BROWSER=/usr/bin/firefox-nightly +export EDITOR=/usr/bin/vim +export SSH_KEY_PATH="~/.ssh/rsa_id" +export GOROOT=$HOME/go +export PATH=$PATH:$GOROOT/bin +export GPG_TTY=$(tty) +export INPUTRC=~/.inputrc + + +ZSH_THEME="simple" + + +# plugins +plugins=(git zsh-syntax-highlighting zsh-autosuggestions) + +source $ZSH/oh-my-zsh.sh +source ~/.zsh/zsh-autosuggestions/zsh-autosuggestions.zsh + +# aliases +alias icysite="cd ~/leet/icysite" +alias scrot="~/scripts/scrot.sh" +alias icyinfo="~/scripts/icyinfo.sh" +#alias rm="trash" +#alias git="hub" +alias rmrf="rm -rf" +alias gah='sudo $(fc -ln -1)' +alias lol="base64 </dev/urandom | lolcat" +#alias pacman="sudo pacman" + +# Codi +codi() { + local syntax="${1:-python}" + shift + vim -c \ + "let g:startify_disable_at_vimenter = 1 |\ + set bt=nofile ls=0 noru nonu nornu |\ + hi ColorColumn ctermbg=NONE |\ + hi VertSplit ctermbg=NONE |\ + hi NonText ctermfg=0 |\ + Codi $syntax" "$@" +} + +# end and home keys +bindkey "^[[1~" beginning-of-line +bindkey "^[[4~" end-of-line + +[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh
A zsh/README.md

@@ -0,0 +1,2 @@

+## zsh +my .zshrc and oh-my-zsh theme